package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("SYS_MENU")
public class SysMenuEnt implements Serializable {
    @XText("菜单ID(主键)")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("菜单名称")
    @TableField
    private String menuName;

    @XText("菜单模式")
    @TableField
    private String menuPattern;

    @XText("父级菜单ID")
    @TableField
    private String parentMenuId;

    @XText("菜单是否可见:0->否；1->是；")
    @TableField
    private Integer isVisiable;

    @XText("是否需要范围授权:0->否；1->是；")
    @TableField
    private Integer isHasScope;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("是否包含子菜单:0->否；1->是；")
    @TableField
    private Integer isHasChildren;

    @XText("是否展开")
    @TableField
    private boolean showChildren;

    @XText("地址")
    @TableField
    private String url;

    @XText("是否提供给外部客户::0->否；1->是；默认0")
    @TableField
    private Integer isExternal;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("菜单业务类型(字典id)")
    @TableField
    private String menuType;


    @XText("介质类型（字典）")
    @TableField
    private String mediaType;

    @XText("菜单级别")
    @TableField
    private String level;

    @XText("是否功能授权呈现:0->否；1->是；")
    @TableField
    private Integer isHasAppear;

    @XText("描述")
    @TableField
    private String menuDescribe;

    @XText("应用场景(0:PC, 1:APP)")
    @TableField
    private Integer applyScene;

    @XText("菜单图标")
    @TableField
    private String menuIcon;

    public String getMenuPattern() {
        return menuPattern;
    }

    public void setMenuPattern(String menuPattern) {
        this.menuPattern = menuPattern;
    }

    public boolean getShowChildren() {
        return showChildren;
    }

    public void setShowChildren(boolean showChildren) {
        this.showChildren = showChildren;
    }

    public String getMenuDescribe() {
        return menuDescribe;
    }

    public void setMenuDescribe(String menuDescribe) {
        this.menuDescribe = menuDescribe;
    }

    public String getMediaType() {
        return mediaType;
    }

    public void setMediaType(String mediaType) {
        this.mediaType = mediaType;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMenuType() {
        return menuType;
    }

    public void setMenuType(String menuType) {
        this.menuType = menuType;
    }

    public Integer getIsHasAppear() {
        return isHasAppear;
    }

    public void setIsHasAppear(Integer isHasAppear) {
        this.isHasAppear = isHasAppear;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMenuName() {
        return this.menuName;
    }

    public void setMenuName(String value) {
        this.menuName = value;
    }

    public String getParentMenuId() {
        return this.parentMenuId;
    }

    public void setParentMenuId(String value) {
        this.parentMenuId = value;
    }

    public Integer getIsVisiable() {
        return this.isVisiable;
    }

    public void setIsVisiable(Integer value) {
        this.isVisiable = value;
    }

    public Integer getIsHasScope() {
        return this.isHasScope;
    }

    public void setIsHasScope(Integer value) {
        this.isHasScope = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getIsHasChildren() {
        return this.isHasChildren;
    }

    public void setIsHasChildren(Integer value) {
        this.isHasChildren = value;
    }

    public String getUrl() {
        return this.url;
    }

    public void setUrl(String value) {
        this.url = value;
    }

    public Integer getIsExternal() {
        return this.isExternal;
    }

    public void setIsExternal(Integer value) {
        this.isExternal = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public Integer getApplyScene() {
        return applyScene;
    }

    public void setApplyScene(Integer applyScene) {
        this.applyScene = applyScene;
    }

    public String getMenuIcon() {
        return menuIcon;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }
}
