package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springframework.lang.Nullable;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("SYS_ORGANIZATION")
public class SysOrganizationEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("组织机构编码")
    @TableField
    private String ouCode;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("简称")
    @TableField
    private String shortName;

    @XText("单位级别（从系统字典中来）")
    @TableField
    private String ouLevel;

    @XText("描述")
    @TableField
    private String description;

    @XText("是否删除：0->是；1->否")
    @TableField
    private Integer isDeleted;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @Nullable
    private Date modifyTime;

    @XText("邮编")
    @TableField
    private String postCode;

    @XText("地址")
    @TableField
    private String postAddress;

    @XText("传真")
    @TableField
    private String faxNo;

    @XText("电话")
    @TableField
    private String phone;

    @XText("国家")
    @TableField
    private String country;

    @XText("省份")
    @TableField
    private Integer province;

    @XText("经度")
    @TableField
    private BigDecimal longitude;

    @XText("纬度")
    @TableField
    private BigDecimal latitude;

    @XText("高程")
    @TableField
    private BigDecimal elevation;

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getOuCode() {
        return this.ouCode;
    }

    public void setOuCode(String value) {
        this.ouCode = value;
    }

    public String getOuName() {
        return this.ouName;
    }

    public void setOuName(String value) {
        this.ouName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getOuLevel() {
        return this.ouLevel;
    }

    public void setOuLevel(String value) {
        this.ouLevel = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getPostCode() {
        return this.postCode;
    }

    public void setPostCode(String value) {
        this.postCode = value;
    }

    public String getPostAddress() {
        return this.postAddress;
    }

    public void setPostAddress(String value) {
        this.postAddress = value;
    }

    public String getFaxNo() {
        return this.faxNo;
    }

    public void setFaxNo(String value) {
        this.faxNo = value;
    }

    public String getPhone() {
        return this.phone;
    }

    public void setPhone(String value) {
        this.phone = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public Integer getProvince() {
        return this.province;
    }

    public void setProvince(Integer value) {
        this.province = value;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getElevation() {
        return elevation;
    }

    public void setElevation(BigDecimal elevation) {
        this.elevation = elevation;
    }
}
