package pps.core.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("SYS_ROLE")
public class SysRoleEnt implements Serializable {
    @XText("角色ID(主键)")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    @XText("普元角色id")
    @TableField
    private Integer bpsRoleId;

    @XText("角色名称")
    @TableField
    private String roleName;

    @XText("备注")
    @TableField
    private String remark;

    @XText("介质类型(字典：原油,天然气,成品油)")
    @TableField
    private String mediaType;

    @XText("角色所属部门,null时为全局角色")
    @TableField
    private String ouId;

    @XText("是否全局角色：false->否；true->是；")
    @TableField
    private Boolean isOverall;


    @XText("排序")
    @TableField
    private Integer sort;

    @XText("下级单位是否可继承:0->否；1->是；")
    @TableField
    private Integer isInheritable;

    @XText("角色类型（字典：内部角色，外部角色）")
    @TableField
    private String roleType;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("是否同步工作流；")
    @TableField
    private Boolean syncWorkFlow;

    public Boolean getSyncWorkFlow() {
        return syncWorkFlow;
    }

    public void setSyncWorkFlow(Boolean syncWorkFlow) {
        this.syncWorkFlow = syncWorkFlow;
    }

    public Integer getBpsRoleId() {
        return bpsRoleId;
    }

    public void setBpsRoleId(Integer bpsRoleId) {
        this.bpsRoleId = bpsRoleId;
    }

    public Boolean getIsOverall() {
        return isOverall;
    }

    public void setIsOverall(Boolean isOverall) {
        this.isOverall = isOverall;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getRoleName() {
        return this.roleName;
    }

    public void setRoleName(String value) {
        this.roleName = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public String getMediaType() {
        return this.mediaType;
    }

    public void setMediaType(String value) {
        this.mediaType = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getIsInheritable() {
        return this.isInheritable;
    }

    public void setIsInheritable(Integer value) {
        this.isInheritable = value;
    }

    public String getRoleType() {
        return this.roleType;
    }

    public void setRoleType(String value) {
        this.roleType = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
