package pps.core.system.mybatis;

import com.baomidou.mybatisplus.core.config.GlobalConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import pps.core.common.mybatis.MybaitisGlobalConfigSuppiler;
import pps.core.common.mybatis.XMybatis;

/**
 * mybatis 配置类
 */
@Component
@EnableTransactionManagement
@MapperScan(sqlSessionTemplateRef = "sqlSessionTemplateRef.pps.core.system",
        sqlSessionFactoryRef = "sqlSessionFactoryRef.pps.core.system",
        basePackages = {"pps.core.system.mapper"})
public class PpsCoreSystemMybatis extends XMybatis {
    @Override
    public GlobalConfig getGlobalConfig() {
        return MybaitisGlobalConfigSuppiler.INSTANCE.get();
    }
}