package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("BASE_PHOTOVOLTAIC_PLANT_MAPE_ADJ")
public class BasePhotovoltaicPlantMapeAdjEnt implements Serializable {

    @XText("ID")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("base_photovoltaic_plant.id")
    @TableField
    private String plantId;

    @XText("预测类型（1 中期光伏功率预测 2 短期光伏功率预测 3 超短期光伏功率预测 4 15天光伏功率预测 5 1天光伏功率预测）")
    @TableField
    private Integer mapeType;

    @XText("预测准确率附加值")
    @TableField
    private BigDecimal mapePlusVal;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;
}
