package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 风机电站表
 *
 * @author ZWT
 * @date 2024/08/28
 */
@Data
@TableName("BASE_WIND_TURBINE")
public class BaseWindTurbineEnt extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("组织机构名称")
    @TableField
    private String ouName;

    @XText("风机电站名称")
    @TableField
    private String stationName;

    @XText("装机总量(KWP)")
    @TableField
    private BigDecimal totalPower;

    @XText("风轮直径(m)")
    @TableField
    private BigDecimal diameter;

    @XText("叶片长度(m)")
    @TableField
    private BigDecimal vaneLength;

    @XText("轮毂高度(m)")
    @TableField
    private BigDecimal hubHeight;

    @XText("经度(°)")
    @TableField
    private BigDecimal longitude;

    @XText("纬度(°)")
    @TableField
    private BigDecimal latitude;

    @XText("高程(m)")
    @TableField
    private BigDecimal elevation;

    @XText("地区编码")
    @TableField
    private Integer areaCode;
}
