package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 油田配置表
 *
 * @author ZWT
 * @date 2024/06/25
 */
@Data
@TableName("CONFIG_OIL_FIELD")
public class ConfigOilFieldEnt implements Serializable {

    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("是否启用(1_否,0_是)")
    @TableField
    private Integer isEnable;

    @XText("油田名称")
    @TableField
    private String oilFieldName;

    @XText("油田编码")
    @TableField
    private String oilFieldCode;

    @XText("省份列表','分割")
    @TableField
    private String provinceList;

    @XText("首页路由")
    @TableField
    private String homePagePath;

    @XText("认证key")
    @TableField
    private String authKey;

    @XText("模拟用户")
    @TableField
    private String simulateUser;

    @XText("是否演示修改(1_否,0_是)")
    @TableField
    private Integer isDemo;

    @XText("演示日期")
    @TableField
    private Date demoDate;

    @XText("第三方接口认证配置(JsonString)")
    @TableField
    private String thirdPartyAuthConfig;

    @XText("项目标题(展示sort为0的标题)")
    @TableField
    private String projectTitle;
}