package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方风力发电数据(每日最新数据)
 *
 * @author ZWT
 * @date 2024/09/04
 */
@Data
@TableName("THIRD_WIND_POWER_GENERATION_UPDATE")
public class ThirdWindPowerGenerationUpdateEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("风电站名称")
    @TableField
    private String stationName;

    @XText("风电站ID")
    @TableField
    private String stationId;

    @XText("采集时间")
    @TableField
    private Date collectTime;

    @XText("实际风速(m/s)")
    @TableField
    private BigDecimal actualWindSpeed;

    @XText("实际功率(kw)")
    @TableField
    private BigDecimal actualPower;

    @XText("实际发电量(kw)")
    @TableField
    private BigDecimal actualGeneration;

    @XText("精确风向(实际)")
    @TableField
    private BigDecimal accurateWindDirection;

    @XText("实际风向(用精确风向转换)")
    @TableField
    private Integer actualWindDirection;

    @XText("录入时间")
    @TableField
    private Date inputTime;

    @XText("来源系统")
    @TableField
    private String systemSource;

    /*---------------------------------- exist = false ----------------------------------*/

    @XText("最大风速(m/s)")
    @TableField(exist = false)
    private BigDecimal maxWindSpeed;

    @XText("最小风速(m/s)")
    @TableField(exist = false)
    private BigDecimal minWindSpeed;

    @XText("平均风速(m/s)")
    @TableField(exist = false)
    private BigDecimal avgWindSpeed;
}