package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 风预测数据
 *
 * @author ZWT
 * @date 2024/08/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WindPredictionFutureView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("风电站ID")
    @TableField
    private String stationId;

    @XText("记录时间")
    @TableField
    private Date dataTime;

    @XText("风向")
    @TableField
    private Integer windDirection;

    @XText("预报风速(m/s)")
    @TableField
    private BigDecimal windSpeed;

    @XText("气温(℃)")
    @TableField
    private BigDecimal airTemperature;

    @XText("湿度(%)")
    @TableField
    private BigDecimal humidity;

    @XText("气压(hPa)")
    @TableField
    private BigDecimal pressure;

    @XText("实际风速(m/s)")
    @TableField
    private BigDecimal actualWindSpeed;

    @XText("实际功率(kw)")
    @TableField
    private BigDecimal actualPower;

    @XText("预测功率(kw)")
    @TableField
    private BigDecimal predictedPower;

    /*----------------- exist = false -----------------*/

    @XText("创建时间")
    @TableField(exist = false)
    private Date createTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date endTime;
}
