package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 风预测历史数据
 *
 * @author ZWT
 * @date 2024/08/29
 */
@Data
@TableName("WIND_PREDICTION_HISTORY")
public class WindPredictionHistoryEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @XText("风电站ID")
    @TableField
    private String stationId;

    @XText("记录时间")
    @TableField
    private Date dataTime;

    @XText("风向")
    @TableField
    private Integer windDirection;

    @XText("预报风速(m/s)")
    @TableField
    private BigDecimal windSpeed;

    @XText("气温(℃)")
    @TableField
    private BigDecimal airTemperature;

    @XText("湿度(%)")
    @TableField
    private BigDecimal humidity;

    @XText("气压(hPa)")
    @TableField
    private BigDecimal pressure;

    @XText("实际风向")
    @TableField
    private BigDecimal actualWindDirection;

    @XText("实际风速(m/s)")
    @TableField
    private BigDecimal actualWindSpeed;

    @XText("实际功率(kw)")
    @TableField
    private BigDecimal actualPower;

    @XText("预测功率(kw)")
    @TableField
    private BigDecimal predictedPower;

    @XText("风向角度（地面100米）[degree]")
    @TableField
    private BigDecimal wnd100m;

    @XText("风速（地面100米）[m/s]")
    @TableField
    private BigDecimal wns100m;

    @XText("风力等级（地面100米）")
    @TableField
    private Integer wnsGrd100m;
}
