package pps.core.base.service.data.base_excel;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 风资源数据(测试用)
 *
 * @author ZWT
 * @date 2024/08/30 15:33
 */
@Data
@ExcelIgnoreUnannotated
public class WindPredictionExcelData {

    @XText("记录时间")
    @ExcelProperty(value = "DATATIME")
    private Date dataTime;

    @XText("风向")
    @ExcelProperty(value = "WINDDIRECTION")
    private Integer windDirection;

    @XText("预报风速(m/s)")
    @ExcelProperty(value = "WINDSPEED")
    private BigDecimal windSpeed;

    @XText("气温(℃)")
    @ExcelProperty(value = "TEMPERATURE")
    private BigDecimal airTemperature;

    @XText("湿度(%)")
    @ExcelProperty(value = "HUMIDITY")
    private BigDecimal humidity;

    @XText("气压(hPa)")
    @ExcelProperty(value = "PRESSURE")
    private BigDecimal pressure;

    @XText("实际风速(m/s)")
    @ExcelProperty(value = "ROUND(A.WS,1)")
    private BigDecimal actualWindSpeed;

    @XText("实际功率(kw)")
    @ExcelProperty(value = "ROUND(A.POWER,0)")
    private BigDecimal actualPower;

    @XText("预测功率(kw)")
    @ExcelProperty(value = "PREPOWER")
    private BigDecimal predictedPower;
}
