package pps.core.task.constant;

/**
 * cron配置
 *
 * @author ZWT
 * @date 2023/09/13 14:29
 */
public class TaskConstant {

    /**
     * 每三天 00:00:00
     */
    public static final String EVERY_3DAY_0 = "0 0 0 1/3 * ?";

    /**
     * 每月第一天 00:30:00
     */
    public static final String FIRST_DAY_OF_THE_MONTH = "0 30 0 1 * ?";

    /**
     * 十分钟一次
     */
    public static final String TEN_MINUTES = "0 0/10 * * * ?";

    /**
     * 十分钟一次,隔3分钟
     */
    public static final String TEN_MINUTES_3 = "0 3/10 * * * ?";

    /**
     * 十分钟一次,隔7分钟
     */
    public static final String TEN_MINUTES_7 = "0 7/10 * * * ?";

    /**
     * 十分钟一次,隔9分钟
     */
    public static final String TEN_MINUTES_9 = "0 9/10 * * * ?";

    /**
     * 半小时一次
     */
    public static final String HALF_HOUR_ZERO = "0 0/30 * * * ?";

    /**
     * 一小时一次
     */
    public static final String HOUR_ZERO = "0 0 * * * ?";

    /**
     * 每周一 00:00:00
     */
    public static final String EVERY_MONDAY = "0 0 0 ? * 2";

    /**
     * 每一天 00:00:00
     */
    public static final String EVERY_DAY_0 = "0 0 0 * * ?";

    /**
     * 每一天 00:03:00
     */
    public static final String EVERY_DAY_3 = "0 3 0 * * ?";

    /**
     * 每一天 00:05:00
     */
    public static final String EVERY_DAY_5 = "0 5 0 * * ?";

    /**
     * 每一天 00:10:00
     */
    public static final String EVERY_DAY_10 = "0 10 0 * * ?";

    /**
     * 每一天 00:12:00
     */
    public static final String EVERY_DAY_12 = "0 12 0 * * ?";

    /**
     * 每一天 00:15:00
     */
    public static final String EVERY_DAY_15 = "0 15 0 * * ?";

    /**
     * 每一天 00:20:00
     */
    public static final String EVERY_DAY_20 = "0 20 0 * * ?";

    /**
     * 每一天 00:25:00
     */
    public static final String EVERY_DAY_25 = "0 25 0 * * ?";

    /**
     * 每一天 00:30:00
     */
    public static final String EVERY_DAY_30 = "0 30 0 * * ?";

    /**
     * 每一天结束时间 23:50:00
     */
    public static final String END_OF_DAY = "0 50 23 * * ?";

    /**
     * 半小时执行一次
     */
    public static final String HALF_HOUR_30 = "0 0/30 * * * ?";

    /**
     * 半小时执行一次 12:01:00 12:31:00...
     */
    public static final String HALF_HOUR_31 = "0 1/30 * * * ?";

    /**
     * 半小时执行一次 12:05:00 12:35:00...
     */
    public static final String HALF_HOUR_35 = "0 5/30 * * * ?";

    /**
     * 早/晚九点十五分
     */
    public static final String NINE_OF_DAY = "0 15 9/12 * * ?";

    /**
     * 任务锁定键
     */
    public static final String TASK_LOCK_KEY = "pps.task_lock_key.";
}