package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 基础间开配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceInstitutionDetailView extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("电网类型key(字典获取)")
    @TableField
    private String gridTypeKey;

    @XText("制度名称")
    @TableField
    private String institutionName;

    @XText("制度开始时间")
    @TableField
    private Date institutionStartDate;

    @XText("制度结束时间")
    @TableField
    private Date institutionEndDate;

    @XText("优化至")
    @TableField
    private Date optimizeDeadline;

    @XText("优化状态(0_已优化,1_未优化)")
    @TableField
    private Integer optimizeState;

    @XText("当前基础制度(0_是,1_否)")
    @TableField
    private Integer isCurrentBasic;

    @XText("启动间隔(分钟)")
    @TableField
    private Integer startInterval;

    @XText("防冻土策略(0_是,1_否)")
    @TableField
    private Integer tundraStrategy;

    @XText("优化类型(0_绿电消纳优先,1_经济优先)")
    @TableField
    private Integer optimizeType;

    /**
     * 长期优化周期ID
     */
    @XText("长期优化周期ID")
    @TableField(exist = false)
    private String longPeriodId;

    /**
     * 长期优化周期
     */
    @XText("长期优化周期")
    @TableField(exist = false)
    private String longExecutionCycle;

    /**
     * 长期优化时间
     */
    @XText("长期优化时间")
    @TableField(exist = false)
    private String longOptimizeDeadline;

    /**
     * 中短期优化周期ID
     */
    @XText("中短期优化周期ID")
    @TableField(exist = false)
    private String midPeriodId;

    /**
     * 中短期优化周期
     */
    @XText("中短期优化周期")
    @TableField(exist = false)
    private String midExecutionCycle;

    /**
     * 中短期优化时间
     */
    @XText("中短期优化时间")
    @TableField(exist = false)
    private String midOptimizeDeadline;
}
