package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 间开优化效果
 *
 * @author ZWT
 * @date 2024/10/31
 */
@Data
@TableName("SPACE_OPTIMIZE_EFFECT")
public class SpaceOptimizeEffectEnt extends BaseModel implements Serializable {

    @XText("优化周期ID")
    @TableField
    private String periodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;

    @XText("优化后制度描述")
    @TableField
    private String optimalResult;

    @XText("优化前制度描述")
    @TableField
    private String institutionResult;

    @XText("优化前总开井时长(min)")
    @TableField
    private BigDecimal totalDuration;

    @XText("优化前绿电开井时长(min)")
    @TableField
    private BigDecimal greenPowerDuration;

    @XText("优化前谷电开井时长(min)")
    @TableField
    private BigDecimal lowPowerDuration;

    @XText("优化前平电开井时长(min)")
    @TableField
    private BigDecimal midPowerDuration;

    @XText("优化前高峰电开井时长(min)")
    @TableField
    private BigDecimal highPowerDuration;

    @XText("优化前尖峰电开井时长(min)")
    @TableField
    private BigDecimal peakPowerDuration;

    @XText("优化前绿电占比(%)")
    @TableField
    private BigDecimal greenPowerRate;

    @XText("优化前绿电电费(元)")
    @TableField
    private BigDecimal greenPowerCost;

    @XText("优化前谷电电费(元)")
    @TableField
    private BigDecimal lowPowerCost;

    @XText("优化前平电费(元)")
    @TableField
    private BigDecimal midPowerCost;

    @XText("优化前高峰电费(元)")
    @TableField
    private BigDecimal highPowerCost;

    @XText("优化前尖峰电费(元)")
    @TableField
    private BigDecimal peakPowerCost;

    @XText("优化前用能成本(元)")
    @TableField
    private BigDecimal powerCost;

    @XText("优化后总开井时长(min)")
    @TableField
    private BigDecimal optimalTotalDuration;

    @XText("优化后绿电开井时长(min)")
    @TableField
    private BigDecimal optimalGreenPowerDuration;

    @XText("优化后谷电开井时长(min)")
    @TableField
    private BigDecimal optimalLowPowerDuration;

    @XText("优化后平电开井时长(min)")
    @TableField
    private BigDecimal optimalMidPowerDuration;

    @XText("优化后高峰电开井时长(min)")
    @TableField
    private BigDecimal optimalHighPowerDuration;

    @XText("优化后尖峰电开井时长(min)")
    @TableField
    private BigDecimal optimalPeakPowerDuration;

    @XText("优化后绿电占比(%)")
    @TableField
    private BigDecimal optimalGreenPowerRate;

    @XText("优化后绿电电费(元)")
    @TableField
    private BigDecimal optimalGreenPowerCost;

    @XText("优化后谷电电费(元)")
    @TableField
    private BigDecimal optimalLowPowerCost;

    @XText("优化后平电费(元)")
    @TableField
    private BigDecimal optimalMidPowerCost;

    @XText("优化后高峰电费(元)")
    @TableField
    private BigDecimal optimalHighPowerCost;

    @XText("优化后尖峰电费(元)")
    @TableField
    private BigDecimal optimalPeakPowerCost;

    @XText("优化后用能成本(元)")
    @TableField
    private BigDecimal optimalPowerCost;

    @XText("绿电提升(%)")
    @TableField
    private BigDecimal greenPowerUpgrade;

    @XText("成本降低(元)")
    @TableField
    private BigDecimal costDown;
}
