package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 昨日绿电占比
 *
 * @author ZWT
 * @date 2024/11/27
 */
@Data
public class SpaceYesterdayGreenRateView extends BaseModel implements Serializable {

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("记录日期")
    @TableField
    private Date recordDate;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;

    @XText("井口每日用电量(优化前)")
    @TableField
    private BigDecimal wellTotalPowerActual;

    @XText("井口每日用电量(优化后)")
    @TableField
    private BigDecimal wellTotalPowerOptimize;

    @XText("井口每日光伏用电量(优化前)")
    @TableField
    private BigDecimal wellGreenPowerActual;

    @XText("井口每日光伏用电量(优化后)")
    @TableField
    private BigDecimal wellGreenPowerOptimize;

    @XText("绿电占比(优化前)")
    @TableField
    private BigDecimal greenPowerRateActual;

    @XText("绿电占比(优化后)")
    @TableField
    private BigDecimal greenPowerRateOptimize;

    @XText("线路名")
    @TableField
    private String lineName;

    @XText("电费(优化前)")
    @TableField
    private BigDecimal powerCostActual;

    @XText("电费(优化后)")
    @TableField
    private BigDecimal powerCostOptimize;

    @XText("绿电市电电费(优化前)")
    @TableField
    private BigDecimal cityCostActual;

    @XText("绿电市电电费(优化后)")
    @TableField
    private BigDecimal cityCostOptimize;
}
