package pps.core.space.service.data.space_institution_detail;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 井口优化结果
 *
 * @author ZWT
 * @date 2024/11/14 17:09
 */
@NoArgsConstructor
@Data
public class OptimizeWellResult {
    /**
     * 井口ID
     */
    private String id;
    /**
     * 井号
     */
    private String name;
    /**
     * 最大开井时长
     */
    private Integer maxSegment;
    /**
     * 最小开井时长
     */
    private Integer minSegment;
    /**
     * 最大关井时长
     */
    private Integer maxSpace;
    /**
     * 最小关井时长
     */
    private Integer minSpace;
    /**
     * 运行功率
     */
    private Double power;

    /**
     * 每日运行时长
     */
    private Integer totalOn;
    /**
     * 优化结果
     */
    private List<OnOffDTO> onOff;

    /**
     * 优化结果
     */
    @NoArgsConstructor
    @Data
    public static class OnOffDTO {
        /**
         * 开关(ON_开,OFF_关)
         */
        private String stat;
        /**
         * 开始时间(分钟)
         */
        private Integer startTime;
        /**
         * 结束时间(分钟)
         */
        private Integer endTime;
    }
}
