package pps.core.space.service.data.space_optimize_effect;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 间开优化效果
 *
 * @author ZWT
 * @date 2024/11/07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetSpaceOptimizeEffectOutput {

    @XText("优化后制度描述")
    private String optimalResult;

    @XText("优化前绿电占比(%)")
    private BigDecimal greenPowerRate;

    @XText("优化前用能成本(元)")
    private BigDecimal powerCost;

    @XText("优化后绿电占比(%)")
    private BigDecimal optimalGreenPowerRate;

    @XText("优化后用能成本(元)")
    private BigDecimal optimalPowerCost;

    @XText("绿电提升(%)")
    private BigDecimal greenPowerUpgrade;

    @XText("成本降低(元)")
    private BigDecimal costDown;
}
