package pps.core.space.service.data.space_optimize_period;

import lombok.Data;
import pps.core.space.service.data.SpaceOptimizeDateDuration;
import pps.core.space.service.data.space_optimize_effect.GetSpaceOptimizeEffectOutput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 间开优化井口记录
 *
 * @author ZWT
 * @date 2024/03/22
 */
@Data
public class GetSpaceOptimizeWellheadOutput {

    @XText("ID")
    private String id;

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("运行时长（小时/天）")
    private BigDecimal runDuration;

    /**
     * 井口配置(未优化)
     */
    @XText("井口配置(未优化)")
    private List<SpaceOptimizeDateDuration> initializeList;

    /**
     * 井口配置(已优化)
     */
    @XText("井口配置(已优化)")
    private List<SpaceOptimizeDateDuration> optimizeList;

    /**
     * 能耗分析
     */
    @XText("能耗分析")
    private GetSpaceOptimizeEffectOutput effect;
}
