package pps.cloud.prediction.service.data.plant_predicted_power_data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Collection;
import java.util.Date;

/**
 * 电站预测功率短期72小时数据
 *
 * @author ZWT
 * @date 2024/11/28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetPredictedPowerViewInput implements Serializable {

    private static final long serialVersionUID = 6448506009773270723L;

    @XText("电站名称")
    private String stationName;

    @XText("电站名称列表")
    private Collection<String> stationNames;

    @XText("时间")
    private Date dataDate;
}
