package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 能耗分析表
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class EnergyConsumptionAnalysisView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("发电量(kWh)")
    @TableField
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    @TableField
    private BigDecimal powerConsumption;

    @XText("日期")
    @TableField
    private Date dataDate;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
