package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("PLANT_PREDICTED_POWER_LONG_TERM_DATA")
public class PlantPredictedPowerLongTermDataEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("线路id")
    @TableField
    private String plantId;

    @XText("日期")
    @TableField
    private String dataDate;

    @XText("年")
    @TableField
    private String yearTime;

    @XText("月")
    @TableField
    private String monthTime;

    @XText("日")
    @TableField
    private String dayTime;

    @XText("时")
    @TableField
    private String hourTime;

    @XText("分")
    @TableField
    private String minTime;

    @XText("温度")
    @TableField
    private BigDecimal temperature;

    @XText("湿度")
    @TableField
    private BigDecimal humidity;

    @XText("风速")
    @TableField
    private BigDecimal windSpeed;

    @XText("风向")
    @TableField
    private BigDecimal windDirection;

    @XText("压强")
    @TableField
    private BigDecimal pressure;

    @XText("组件平面辐照度")
    @TableField
    private BigDecimal planeIrradiance;

    @XText("全水平辐照度")
    @TableField
    private BigDecimal horizontalIrradiance;

    @XText("预测功率")
    @TableField
    private BigDecimal power;

    @XText("预测功率")
    @TableField(exist = false)
    private BigDecimal predictedPower;

    @XText("创建时间")
    @TableField
    private Date createTime;

}
