package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Date;

/**
 * 电站预测功率短期72小时数据
 *
 * @author ZWT
 * @date 2024/11/28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlantPredictedPowerShortTermView implements Serializable {

    private static final long serialVersionUID = 3175283261612418065L;

    @TableField
    private Integer id;

    @XText("线路id")
    @TableField
    private String plantId;

    @XText("日期")
    @TableField
    private String dataDate;

    @XText("预测功率")
    @TableField
    private BigDecimal power;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("预测发电量")
    @TableField
    private BigDecimal predictPower;

    @XText("电站名称")
    @TableField(exist = false)
    private String stationName;

    @XText("电站名称列表")
    @TableField(exist = false)
    private Collection<String> stationNames;

    @XText("开始时间")
    @TableField(exist = false)
    private Date startTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date endTime;
}
