package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 功率预测
 *
 * @author ZWT
 * @date 2024/03/21 17:37
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PredictedPowerView {

    @XText("预测功率")
    @TableField
    private BigDecimal power;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("时")
    @TableField
    private String hourTime;

    @XText("开始时间")
    @TableField(exist = false)
    private String startTime;

    @XText("结束时间")
    @TableField(exist = false)
    private String endTime;

    @XText("电站ID")
    @TableField(exist = false)
    private String plantId;

    @XText("电站ID集合")
    @TableField(exist = false)
    private List<String> plantIds;

    @XText("日期格式化类型:0_15分钟;1_1小时;2_30分钟")
    @TableField(exist = false)
    private Integer formatType;
}
