package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方当日油井状态
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdCurrentWellConditionView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("下次启停时间")
    @TableField
    private Date nextTime;

    @XText("井口状态(开/停井)")
    @TableField
    private String wellStatus;

    @XText("累计产液量(m³)")
    @TableField
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    @TableField
    private BigDecimal runningTime;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("更新时间")
    @TableField
    private Date updateTime;
}
