package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 第三方井场日累计数据(每日最新数据)
 *
 * @author ZWT
 * @date 2024/04/02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdDailyAccumulationUpdateView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("井组ID(光伏电站)")
    @TableField
    private String stationId;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏日累计发电(KWh)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("日累计用电量(KW·h)")
    @TableField
    private BigDecimal dailyElectricityConsumption;

    @XText("日累计产液量(m³)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("就地消纳电量(KWh)")
    @TableField
    private BigDecimal inPlaceConsumption;

    @XText("储能日累计放电量(KWh)")
    @TableField
    private BigDecimal energyStorageDischarge;

    @XText("入库日期")
    @TableField
    private Date saveDate;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("保存时间")
    @TableField
    private Date saveHour;

    /*------------------------------ other ------------------------------*/

    /**
     * 今天
     */
    @TableField(exist = false)
    private Date today;

    /**
     * 昨天
     */
    @TableField(exist = false)
    private Date yesterday;

    /**
     * 去年
     */
    @TableField(exist = false)
    private Date lastYear;

    /**
     * 电站名称列表
     */
    @TableField(exist = false)
    private List<String> stationNameList;

    /**
     * 日期标识
     */
    @TableField(exist = false)
    private Integer dayFlag;

    /**
     * 余电上网
     */
    @TableField(exist = false)
    private BigDecimal avoidPeakRate;

    /**
     * 绿电占比
     */
    @TableField(exist = false)
    private BigDecimal greenElectricityRate;

    /**
     * 开始时间
     */
    @TableField(exist = false)
    private Date startTime;

    /**
     * 结束时间
     */
    @TableField(exist = false)
    private Date endTime;

    /**
     * 月
     */
    @TableField(exist = false)
    private Integer month;
}
