package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方光伏日发电量
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdPhotovoltaicPowerView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏发电量(KW·h)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
