package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 第三方单井平均有功功率
 *
 * @author ZWT
 * @date 2024/04/01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdWellAvgActivePowerView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("采集时间")
    @TableField
    private Date inputTime;

    @XText("平均有功功率(KW)")
    @TableField
    private BigDecimal avgActivePower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("入库日期")
    @TableField
    private Date saveDate;

    @XText("小时")
    @TableField(exist = false)
    private Integer hourNumber;

    @XText("井号列表")
    @TableField(exist = false)
    private List<String> wellNumbers;

    @XText("开始时间")
    @TableField(exist = false)
    private Date startTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date endTime;

    @XText("日期范围(1_小时;2_日;_3_月)")
    @TableField(exist = false)
    private int dayFlag;
}
