package pps.core.prediction.mapper;

import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.PlantPredictedPowerShortTermView;

import java.util.List;

/**
 * 电站预测功率短期72小时数据
 *
 * @author ZWT
 * @date 2024/11/28
 */
@Repository(value = "pps.core.prediction.mapper.PlantPredictedPowerShortTermViewMapper")
public interface PlantPredictedPowerShortTermViewMapper {

    PlantPredictedPowerShortTermView selectOne(PlantPredictedPowerShortTermView record);

    List<PlantPredictedPowerShortTermView> selectList(PlantPredictedPowerShortTermView record);

    /**
     * 查询预测发电量30分钟
     *
     * @param record 记录
     * @return {@link List }<{@link PlantPredictedPowerShortTermView }>
     */
    List<PlantPredictedPowerShortTermView> selectPredictionPower30(PlantPredictedPowerShortTermView record);
}
