package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ThirdActivePowerView;

import java.util.List;

/**
 * 第三方有功功率
 *
 * @author ZWT
 * @date 2024/03/19
 */
@Repository(value = "pps.core.prediction.mapper.ThirdActivePowerViewMapper")
public interface ThirdActivePowerViewMapper {
    ThirdActivePowerView selectOne(ThirdActivePowerView record);

    List<ThirdActivePowerView> selectList(ThirdActivePowerView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<ThirdActivePowerView> list);

    /**
     * 查询用能曲线
     *
     * @param record 记录
     * @return {@link List}<{@link ThirdActivePowerView}>
     */
    List<ThirdActivePowerView> selectEnergyUseCurve(ThirdActivePowerView record);

    /**
     * 每小时发电功率
     *
     * @param record 记录
     * @return {@link List}<{@link ThirdActivePowerView}>
     */
    List<ThirdActivePowerView> selectGeneratedPowerHour(ThirdActivePowerView record);

    /**
     * 获得15分钟平均功率
     *
     * @param record 记录
     * @return {@link List }<{@link ThirdActivePowerView }>
     */
    List<ThirdActivePowerView> selectAvgPhotovoltaicPower(ThirdActivePowerView record);

    /**
     * 获得15分钟平均功率
     *
     * @param record 记录
     * @return {@link List }<{@link ThirdActivePowerView }>
     */
    List<ThirdActivePowerView> selectAvgPower15(ThirdActivePowerView record);


    /**
     * 获得30分钟实际功率
     *
     * @param record 记录
     * @return {@link List }<{@link ThirdActivePowerView }>
     */
    List<ThirdActivePowerView> selectAvgPower30(ThirdActivePowerView record);
}
