package pps.core.prediction.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import pps.cloud.prediction.service.PlantTrainPowerTaskCloudService;
import pps.cloud.prediction.service.data.plant_train_power_task.GetPlantTrainPowerTaskCloudInput;
import pps.cloud.prediction.service.data.plant_train_power_task.GetPlantTrainPowerTaskCloudOutput;
import pps.core.common.utils.BaseUtils;
import pps.core.prediction.entity.PlantTrainPowerTaskEnt;
import pps.core.prediction.mapper.PlantTrainPowerTaskMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XSingleResult;

@XService
public class PlantTrainPowerTaskService implements PlantTrainPowerTaskCloudService {
    @Override
    public XSingleResult<GetPlantTrainPowerTaskCloudOutput> getPlantTrainPowerTaskData(XContext context, GetPlantTrainPowerTaskCloudInput input) {
        PlantTrainPowerTaskMapper mapper = context.getBean(PlantTrainPowerTaskMapper.class);
        LambdaQueryWrapper<PlantTrainPowerTaskEnt> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(PlantTrainPowerTaskEnt::getPlantId, input.getPlantId())
                .last(BaseUtils.getLastLimit());
        PlantTrainPowerTaskEnt ent = mapper.selectOne(queryWrapper);
        GetPlantTrainPowerTaskCloudOutput output = XCopyUtils.copyNewObject(ent, GetPlantTrainPowerTaskCloudOutput.class);
        return XSingleResult.success(output);
    }
}