package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 经济效益
 *
 * @author ZWT
 * @date 2024/05/27 10:05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetEconomicBenefitsOutput {

    @XText("日期")
    private Date dateFormat;

    @XText("经济效益(元)")
    private BigDecimal economicBenefit;

    @XText("减碳量(吨)")
    private BigDecimal carbonReduction;

    @XText("同期减碳量(吨)")
    private BigDecimal lastCarbonReduction;

    @XText("电费(元)")
    private BigDecimal electricityFees;

    @XText("节约电量")
    private BigDecimal saveElectricity;

    @XText("日期")
    private String dateStr;
}
