package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 电量统计
 *
 * @author ZWT
 * @date 2024/10/20 20:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetElectricityStatisticsOutput {

    /**
     * 本期发电(kwh)
     */
    private BigDecimal currentPeriodGenerate;
    /**
     * 同期发电(kwh)
     */
    private BigDecimal lastPeriodGenerate;
    /**
     * 本期用电(kwh)
     */
    private BigDecimal currentPeriodUse;
    /**
     * 同期用电(kwh)
     */
    private BigDecimal lastPeriodUse;
    /**
     * 日期字符串
     */
    private String dateStr;
}
