package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;


/**
 * 能耗分析
 *
 * @author ZWT
 * @date 2024/05/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetEnergyConsumptionAnalysisInput {
    /**
     * 组织机构ID
     */
    @XText("组织机构ID")
    private String ouId;

    /**
     * 电站名称
     */
    @XText("电站名称")
    private String stationName;

    /**
     * 日期范围类型(0_本月;1_本年)
     */
    @XText("日期范围类型(0_本月;1_本年)")
    private Integer dateType;

    /**
     * 运行类型
     */
    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    /**
     * 井口状态
     */
    @XText("井口状态(开/停井)")
    private String wellStatus;
}
