package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 井口分析
 *
 * @author ZWT
 * @date 2024/05/27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellheadAnalysisOutput {

    @XText("井号")
    private String wellNumber;

    @XText("间开每日运行时长(h)")
    private BigDecimal spaceRunDuration;

    @XText("日产液量(m³)")
    private BigDecimal dailyLiquidProduction;

    @XText("日耗电量(kW-h)")
    private BigDecimal dailyElectricityConsumption;

    @XText("绿电占比(%)")
    private BigDecimal greenElectricityRate;

    @XText("日减碳量(吨)")
    private BigDecimal dailyCarbonReduction;

    @XText("日谷电占比(%)")
    private BigDecimal valleyElectricRate;

    @XText("月绿电占比(%)")
    private BigDecimal monthGreenElectricityRate;

    @XText("月减碳量(吨)")
    private BigDecimal monthDailyCarbonReduction;

    @XText("月谷电占比(%)")
    private BigDecimal monthValleyElectricRate;

    @XText("年绿电占比(%)")
    private BigDecimal yearGreenElectricityRate;

    @XText("年减碳量(吨)")
    private BigDecimal yearDailyCarbonReduction;

    @XText("年谷电占比(%)")
    private BigDecimal yearValleyElectricRate;

    @XText("光伏发电量(KW·h)")
    private BigDecimal photovoltaicPower;
}
