package pps.core.prediction.service.data.wellhead_daily_production_situation;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口生产情况表
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WellheadDailyProductionSituationJob {

    @XText("井号")
    @JSONField(name = "welL_NAME")
    private String wellNumber;

    @XText("日期")
    @JSONField(name = "caL_DATE")
    private Date dataDate;

    @XText("生产时间(h)")
    @JSONField(name = "starthours")
    private BigDecimal productionTime;

    @XText("日耗电量(kW-h)")
    @JSONField(name = "poweR_CONSUME_DAILY")
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(t)")
    @JSONField(name = "reaL_LIQUID_DAILY")
    private BigDecimal dailyLiquidProduction;

    @XText("日市电用电量")
    private BigDecimal dailyUtilityElectricityConsumption;

    @XText("尖峰时段用电量")
    private BigDecimal electricityConsumptionPh;

    @XText("高峰时段用电量")
    private BigDecimal electricityConsumptionHh;

    @XText("平时段用电量")
    private BigDecimal electricityConsumptionNp;

    @XText("谷时段用电量")
    private BigDecimal electricityConsumptionVh;

    @XText("日市电用电费")
    private BigDecimal electricityChargeCity;

    @XText("尖峰时段电费")
    private BigDecimal electricityChargesPh;

    @XText("高峰时段电费")
    private BigDecimal peakHourTariff;

    @XText("平时段电费")
    private BigDecimal normalPeriodTariff;

    @XText("谷时段用电费")
    private BigDecimal alleyHoursTariff;
}
