package pps.cloud.middle.service;

import pps.cloud.middle.service.data.weather_attachment_record.GetWeatherAttachmentRecordInput;
import pps.cloud.middle.service.data.weather_attachment_record.GetWeatherAttachmentRecordOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

/**
 * 天气附件记录
 *
 * @author ZWT
 * @date 2024/10/19 21:46
 */
@XText("天气附件记录Cloud模块")
@XService
public interface IWeatherAttachmentCloudService {

    /**
     * 获取最新邮件
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XSingleResult }<{@link GetWeatherAttachmentRecordOutput }>
     */
    @XText("获取最新邮件")
    XSingleResult<GetWeatherAttachmentRecordOutput> getEmail(XContext context, GetWeatherAttachmentRecordInput input);

    /**
     * 获取邮件列表
     *
     * @param context 上下文
     * @param input   输入
     * @return {@link XListResult }<{@link GetWeatherAttachmentRecordOutput }>
     */
    @XText("获取邮件列表")
    XListResult<GetWeatherAttachmentRecordOutput> getEmailList(XContext context, GetWeatherAttachmentRecordInput input);
}
