package pps.cloud.middle.service.data.third_active_power;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 实际功率
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdActivePowerViewInput {
    @XText("ID")
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("井组ID(线路/光伏电站)")
    private String stationId;

    @XText("创建时间")
    private Date createDate;

    @XText("光伏实际功率(KW)")
    private BigDecimal photovoltaicPower;

    @XText("电表有功功率(KW)")
    private BigDecimal meterPower;

    @XText("来源系统")
    private String systemSource;

    @XText("录入时间")
    private Date inputTime;
}
