package pps.cloud.middle.service.data.third_daily_accumulation;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 电站累积数据列表
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdDailyAccumulationInput {
    @XText("ID")
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("井组ID(光伏电站)")
    private String stationId;

    @XText("创建时间")
    private Date createDate;

    @XText("光伏日累计发电(KWh)")
    private BigDecimal photovoltaicPower;

    @XText("日累计用电量(KW·h)")
    private BigDecimal dailyElectricityConsumption;

    @XText("日累计产液量(m3)")
    private BigDecimal dailyLiquidProduction;

    @XText("就地消纳电量(KWh)")
    private BigDecimal inPlaceConsumption;

    @XText("入库日期")
    private Date saveDate;

    @XText("来源系统")
    private String systemSource;

    @XText("储能累计放电量(KW·h)")
    private BigDecimal energyStorageDischarge;
}
