package pps.cloud.middle.service.data.third_photovoltaic_power;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 日发电量
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetThirdPhotovoltaicPowerInput {
    @XText("ID")
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    private String stationName;

    @XText("创建时间")
    private Date createDate;

    @XText("光伏日累积发电量(KW·h)")
    private BigDecimal photovoltaicPower;

    @XText("来源系统")
    private String systemSource;
}