package pps.cloud.middle.service.data.wellhead_daily_production_situation;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口日累计生产数据
 *
 * @author ZWT
 * @date 2024/10/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellheadDailyProductionSituationInput {
    @XText("ID")
    private Long id;

    @XText("井号")
    private String wellNumber;

    @XText("数据日期")
    private String dataDate;

    @XText("日耗电量(kW-h)")
    private BigDecimal powerConsumeDaily;

    @XText("日市电用电量")
    private BigDecimal dailyUtilityElectricityConsumption;

    @XText("尖峰时段用电量")
    private BigDecimal electricityConsumptionPh;

    @XText("高峰时段用电量")
    private BigDecimal electricityConsumptionHh;

    @XText("平时段用电量")
    private BigDecimal electricityConsumptionNp;

    @XText("谷时段用电量")
    private BigDecimal electricityConsumptionVh;

    @XText("日市电用电费")
    private BigDecimal electricityChargeCity;

    @XText("尖峰时段电费")
    private BigDecimal electricityChargesPh;

    @XText("高峰时段电费")
    private BigDecimal peakHourTariff;

    @XText("平时段电费")
    private BigDecimal normalPeriodTariff;

    @XText("谷时段用电费")
    private BigDecimal alleyHoursTariff;

    @XText("开井时长(h)")
    private BigDecimal startHours;

    @XText("日产液量(m3)")
    private BigDecimal dailyLiquidProduction;

    @XText("来源系统")
    private String systemSource;

    @XText("创建时间")
    private Date createDate;
}
