package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方实际功率(全量数据30分钟一次)
 *
 * @author ZWT
 * @date 2024/10/18
 */
@Data
@TableName("THIRD_ACTIVE_POWER")
public class ThirdActivePowerEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井组名称(线路/光伏电站)")
    @TableField
    private String stationName;

    @XText("井组ID(线路/光伏电站)")
    @TableField
    private String stationId;

    @XText("创建时间")
    @TableField
    private Date createDate;

    @XText("光伏实际功率(KW)")
    @TableField
    private BigDecimal photovoltaicPower;

    @XText("电表有功功率(KW)")
    @TableField
    private BigDecimal meterPower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("录入时间")
    @TableField
    private Date inputTime;

    @XText("逆变器ID")
    @TableField
    private Long nbqId;

    @XText("逆变器名称")
    @TableField
    private String nbqName;
}
