package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方当日油井状态(30分钟一次)
 *
 * @author ZWT
 * @date 2024/10/18
 */
@Data
public class ThirdCurrentWellConditionView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("下次启停时间")
    @TableField
    private Date nextTime;

    @XText("井口状态(开/停井)")
    @TableField
    private String wellStatus;

    @XText("累计产液量(m3)")
    @TableField
    private BigDecimal cumulativeProduction;

    @XText("开井时长(h)")
    @TableField
    private BigDecimal runningTime;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("更新时间")
    @TableField
    private Date updateTime;
}
