package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 第三方单井平均有功功率(30分钟一次)
 *
 * @author ZWT
 * @date 2024/10/18
 */
@Data
@TableName("THIRD_WELL_AVG_ACTIVE_POWER")
public class ThirdWellAvgActivePowerEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("采集时间")
    @TableField
    private Date inputTime;

    @XText("平均有功功率(KW)")
    @TableField
    private BigDecimal avgActivePower;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("入库日期")
    @TableField
    private Date saveDate;

}
