package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口日累计用电/电费(每日一次)
 *
 * @author ZWT
 * @date 2024/10/18
 */
@Data
@TableName("WELLHEAD_DAILY_PRODUCTION_SITUATION")
public class WellheadDailyProductionSituationEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("数据日期")
    @TableField
    private String dataDate;

    @XText("日耗电量(kW-h)")
    @TableField
    private BigDecimal powerConsumeDaily;

    @XText("日市电用电量")
    @TableField
    private BigDecimal dailyUtilityElectricityConsumption;

    @XText("尖峰时段用电量")
    @TableField
    private BigDecimal electricityConsumptionPh;

    @XText("高峰时段用电量")
    @TableField
    private BigDecimal electricityConsumptionHh;

    @XText("平时段用电量")
    @TableField
    private BigDecimal electricityConsumptionNp;

    @XText("谷时段用电量")
    @TableField
    private BigDecimal electricityConsumptionVh;

    @XText("日市电用电费")
    @TableField
    private BigDecimal electricityChargeCity;

    @XText("尖峰时段电费")
    @TableField
    private BigDecimal electricityChargesPh;

    @XText("高峰时段电费")
    @TableField
    private BigDecimal peakHourTariff;

    @XText("平时段电费")
    @TableField
    private BigDecimal normalPeriodTariff;

    @XText("谷时段用电费")
    @TableField
    private BigDecimal alleyHoursTariff;

    @XText("开井时长(h)")
    @TableField
    private BigDecimal startHours;

    @XText("日产液量(m3)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("来源系统")
    @TableField
    private String systemSource;

    @XText("创建时间")
    @TableField
    private Date createDate;
}
