package pps.core.middle.service;

import pps.cloud.middle.service.IThirdActivePowerCloudService;
import pps.cloud.middle.service.data.third_active_power.GetThirdActivePowerViewInput;
import pps.cloud.middle.service.data.third_active_power.GetThirdActivePowerViewOutput;
import pps.core.middle.entity.ThirdActivePowerView;
import pps.core.middle.mapper.ThirdActivePowerViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * 实际功率
 *
 * @author ZWT
 * @date 2024/10/19 15:36
 */
@XService
public class ThirdActivePowerCloudServiceImpl implements IThirdActivePowerCloudService {

    @Override
    public XListResult<GetThirdActivePowerViewOutput> getThirdActivePowerList(XContext context, GetThirdActivePowerViewInput input) {
        ThirdActivePowerViewMapper mapper = context.getBean(ThirdActivePowerViewMapper.class);
        List<ThirdActivePowerView> list = mapper.selectThirdActivePowerList(ThirdActivePowerView.builder()
                .createDate(input.getCreateDate())
                .build());
        return XListResult.success(XCopyUtils.copyNewList(list, GetThirdActivePowerViewOutput.class));
    }
}
