package pps.core.middle.service;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.middle.service.IThirdCurrentWellConditionCloudService;
import pps.cloud.middle.service.data.third_current_well_condition.GetThirdCurrentWellConditionInput;
import pps.cloud.middle.service.data.third_current_well_condition.GetThirdCurrentWellConditionOutput;
import pps.core.middle.entity.ThirdCurrentWellConditionEnt;
import pps.core.middle.mapper.ThirdCurrentWellConditionMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.Collections;
import java.util.List;

/**
 * 井口状态
 *
 * @author ZWT
 * @date 2024/10/19 16:22
 */
@XService
public class ThirdCurrentWellConditionCloudServiceImpl implements IThirdCurrentWellConditionCloudService {

    @Override
    public XListResult<GetThirdCurrentWellConditionOutput> getCurrentWellConditionList(XContext context, GetThirdCurrentWellConditionInput input) {
        ThirdCurrentWellConditionMapper mapper = context.getBean(ThirdCurrentWellConditionMapper.class);
        //查最新更新时间
        ThirdCurrentWellConditionEnt maxEnt = mapper.selectOne(new QueryWrapper<ThirdCurrentWellConditionEnt>()
                .select("MAX( UPDATE_TIME ) AS UPDATE_TIME")
        );
        if (ObjectUtil.isNull(maxEnt)) {
            return XListResult.success(Collections.emptyList());
        }

        List<ThirdCurrentWellConditionEnt> list = mapper.selectList(new QueryWrapper<ThirdCurrentWellConditionEnt>()
                .select("WELL_NUMBER", "NEXT_TIME", "CASE WHEN WELL_STATUS = '1' THEN '开井' ELSE '停井' END WELL_STATUS",
                        "0 AS CUMULATIVE_PRODUCTION", "0 AS RUNNING_TIME")
                .eq("UPDATE_TIME", maxEnt.getUpdateTime())
        );
        return XListResult.success(XCopyUtils.copyNewList(list, GetThirdCurrentWellConditionOutput.class));
    }
}
