package pps.core.middle.service;

import cn.hutool.core.date.DateUtil;
import pps.cloud.middle.service.IThirdDailyAccumulationCloudService;
import pps.cloud.middle.service.data.third_daily_accumulation.GetThirdDailyAccumulationInput;
import pps.cloud.middle.service.data.third_daily_accumulation.GetThirdDailyAccumulationOutput;
import pps.core.middle.entity.ThirdDailyAccumulationView;
import pps.core.middle.mapper.ThirdDailyAccumulationViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * 电站累积数据
 *
 * @author ZWT
 * @date 2024/10/19 18:14
 */
@XService
public class ThirdDailyAccumulationCloudServiceImpl implements IThirdDailyAccumulationCloudService {

    @Override
    public XListResult<GetThirdDailyAccumulationOutput> getDailyAccumulationList(XContext context, GetThirdDailyAccumulationInput input) {
        ThirdDailyAccumulationViewMapper viewMapper = context.getBean(ThirdDailyAccumulationViewMapper.class);
        List<ThirdDailyAccumulationView> list = viewMapper.selectDailyAccumulationList(ThirdDailyAccumulationView.builder()
                .createDate(DateUtil.beginOfDay(DateUtil.date()))
                .build()
        );
        return XListResult.success(XCopyUtils.copyNewList(list, GetThirdDailyAccumulationOutput.class));
    }
}
