package pps.core.middle.service;

import pps.cloud.middle.service.IThirdPhotovoltaicPowerCloudService;
import pps.cloud.middle.service.data.third_photovoltaic_power.GetThirdPhotovoltaicPowerInput;
import pps.cloud.middle.service.data.third_photovoltaic_power.GetThirdPhotovoltaicPowerOutput;
import pps.core.middle.entity.ThirdPhotovoltaicPowerView;
import pps.core.middle.mapper.ThirdPhotovoltaicPowerViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * 日发电量
 *
 * @author ZWT
 * @date 2024/10/19 19:25
 */
@XService
public class ThirdPhotovoltaicPowerCloudServiceImpl implements IThirdPhotovoltaicPowerCloudService {

    @Override
    public XListResult<GetThirdPhotovoltaicPowerOutput> getPhotovoltaicPowerList(XContext context, GetThirdPhotovoltaicPowerInput input) {
        ThirdPhotovoltaicPowerViewMapper viewMapper = context.getBean(ThirdPhotovoltaicPowerViewMapper.class);
        List<ThirdPhotovoltaicPowerView> list = viewMapper.selectPhotovoltaicPowerList(ThirdPhotovoltaicPowerView.builder()
                .createDate(input.getCreateDate())
                .build());
        return XListResult.success(XCopyUtils.copyNewList(list, GetThirdPhotovoltaicPowerOutput.class));
    }
}
