package pps.core.middle.service;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.middle.service.IWeatherAttachmentCloudService;
import pps.cloud.middle.service.data.weather_attachment_record.GetWeatherAttachmentRecordInput;
import pps.cloud.middle.service.data.weather_attachment_record.GetWeatherAttachmentRecordOutput;
import pps.core.middle.entity.WeatherAttachmentRecordEnt;
import pps.core.middle.mapper.WeatherAttachmentRecordMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;
import xstartup.data.XSingleResult;

import java.util.List;

/**
 * 天气附件记录
 *
 * @author ZWT
 * @date 2024/10/19 21:47
 */
@XService
public class WeatherAttachmentCloudServiceImpl implements IWeatherAttachmentCloudService {

    @Override
    public XSingleResult<GetWeatherAttachmentRecordOutput> getEmail(XContext context, GetWeatherAttachmentRecordInput input) {
        WeatherAttachmentRecordMapper mapper = context.getBean(WeatherAttachmentRecordMapper.class);
        List<WeatherAttachmentRecordEnt> list = mapper.selectList(new QueryWrapper<WeatherAttachmentRecordEnt>()
                .select("EMAIL_DATA_TIME", "EMAIL_ATTACHMENT_URL", "EMAIL_NAME")
                .orderByDesc("ID")
        );
        if (CollUtil.isEmpty(list)) {
            return XSingleResult.success();
        }
        return XSingleResult.success(XCopyUtils.copyNewObject(list.get(0), GetWeatherAttachmentRecordOutput.class));
    }

    @Override
    public XListResult<GetWeatherAttachmentRecordOutput> getEmailList(XContext context, GetWeatherAttachmentRecordInput input) {
        WeatherAttachmentRecordMapper mapper = context.getBean(WeatherAttachmentRecordMapper.class);
        List<WeatherAttachmentRecordEnt> list = mapper.selectList(new QueryWrapper<WeatherAttachmentRecordEnt>()
                .select("EMAIL_DATA_TIME", "EMAIL_ATTACHMENT_URL", "EMAIL_NAME")
                .orderByAsc("ID")
        );
        if (CollUtil.isEmpty(list)) {
            return XListResult.success();
        }
        return XListResult.success(XCopyUtils.copyNewList(list, GetWeatherAttachmentRecordOutput.class));
    }
}
