#数据库描述

/*
Data Transfer

Source Server- - - -   : 零碳井场能量综合管控系统
Source Server Type- -  : MySQL
Source Server Version : 8.0.39
Source Schema- - - -   : zero_carbon

Target Server Type- -  : MySQL
File Encoding- - - -   : 65001
*/

#表描述

-- ----------------------------
-- Table structure for base_data
-- ----------------------------

## 表(基础信息表): base_data

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- ou_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织id'
- line_id int NULL DEFAULT NULL COMMENT '线路id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '风向'
- temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '温度'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '压强'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度'
- plane_Irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_Irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(10, 2) NULL DEFAULT NULL COMMENT '实际功率'
- predicted_power decimal(10, 2) NULL DEFAULT NULL COMMENT '预测功率'
- weather decimal(10, 2) NULL DEFAULT NULL COMMENT '天气'

-- ----------------------------
-- Table structure for base_data_import_log
-- ----------------------------

## 表(基础信息日志表): base_data_import_log

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- ou_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织id'
- line_id int NULL DEFAULT NULL COMMENT '线路id'
- begin_date datetime NULL DEFAULT NULL COMMENT '开始日期'
- end_date datetime NULL DEFAULT NULL COMMENT '结束'
- create_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for base_diesel_generator
-- ----------------------------

## 表(柴发设备表): base_diesel_generator

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是；1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- ou_name varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构name'
- device_name varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '设备名称'
- maker_number varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '出厂编号'
- unit_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  柴发设备机组型号key(字典获取)'
- unit_type_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  柴发设备机组型号name(字典获取)'
- normal_power decimal(24, 6) NULL DEFAULT NULL COMMENT '常用功率(KW)'
- standby_power decimal(24, 6) NULL DEFAULT NULL COMMENT '备用功率(KW)'

-- ----------------------------
-- Table structure for base_energy_storage_device
-- ----------------------------

## 表(储能设备表): base_energy_storage_device

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是；1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- ou_name varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构name'
- device_name varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '设备名称'
- maker_number varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '出厂编号'
- storage_model_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  储能设备规格型号key(字典获取)'
- storage_model_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  储能设备规格型号name(字典获取)'
- apparatus_capacity decimal(24, 6) NULL DEFAULT NULL COMMENT '设备容量(KWh)'
- rated_discharge_power decimal(24, 6) NULL DEFAULT NULL COMMENT '额定放电功率(KW)'
- rated_charging_power decimal(24, 6) NULL DEFAULT NULL COMMENT '额定充电功率(KW)'
- rated_discharge_depth decimal(24, 6) NULL DEFAULT NULL COMMENT '额定放电深度（%）'
- rated_discharge_efficiency decimal(24, 6) NULL DEFAULT NULL COMMENT '额定放电效率（%）'

-- ----------------------------
-- Table structure for base_line
-- ----------------------------

## 表(线路表): base_line

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- parent_id int NULL DEFAULT NULL COMMENT '上级线路'
- line_name varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路名称'
- line_type varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路类型'
- grid_type varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电网类型'
- install_capacity decimal(10, 2) NULL DEFAULT NULL COMMENT '装机容量'
- array_incidence decimal(10, 2) NULL DEFAULT NULL COMMENT '阵列倾角'
- array_toward decimal(10, 2) NULL DEFAULT NULL COMMENT '阵列朝向'
- well_ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井场id'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- production_year varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '投产年份'
- service_length int NULL DEFAULT NULL COMMENT '服役年限'

-- ----------------------------
-- Table structure for base_line_attenuation_rate
-- ----------------------------

## 表(光伏衰减率): base_line_attenuation_rate

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- line_id int NULL DEFAULT NULL COMMENT '线路id'
- particular_year varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年份'
- attenuation_rate decimal(10, 2) NULL DEFAULT NULL COMMENT '衰减率'
- sort int NULL DEFAULT NULL COMMENT '排序'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- type int NULL DEFAULT NULL COMMENT '类型：0线路1项目'

-- ----------------------------
-- Table structure for base_model_month_pre
-- ----------------------------

## 表(模型表): base_model_month_pre

字段列表:

- ypred text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- keyName text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- line_id bigint NULL DEFAULT NULL
- stape text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- id double NULL DEFAULT NULL

-- ----------------------------
-- Table structure for base_model_val
-- ----------------------------

## 表(线路模型训练表): base_model_val

字段列表:

- ytrue text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '实际数据'
- ypred text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '预测数据'
- MAE text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '绝对误差（越小越好）'
- RMSE text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '均方差（越小越好）'
- R2 text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '（越大越好）'
- keyName text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '模型名称'
- line_id bigint NULL DEFAULT NULL COMMENT '线路'
- stape text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- startime text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- endtime text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- taget text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- timecol text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- features text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- modelpath text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- paramKeys text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- id double NULL DEFAULT NULL
- createTime datetime NULL DEFAULT CURRENT_TIMESTAMP,
- ou_id varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL

-- ----------------------------
-- Table structure for base_photovoltaic_plant
-- ----------------------------

## 表(光伏电站表): base_photovoltaic_plant

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是；1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- ou_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- station_name varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站名称'
- maker_number varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '出厂编号'
- photovoltaic_model_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  光伏设备规格型号key(字典获取)'
- photovoltaic_model_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  光伏设备规格型号name(字典获取)'
- mounting_angle decimal(24, 6) NULL DEFAULT NULL COMMENT '安装倾角'
- total_power decimal(24, 6) NULL DEFAULT NULL COMMENT '装机总量(KWP)'
- array_orientation decimal(24, 6) NULL DEFAULT NULL COMMENT '阵列朝向'
- longitude decimal(24, 6) NULL DEFAULT NULL COMMENT '经度(°)'
- latitude decimal(24, 6) NULL DEFAULT NULL COMMENT '纬度(°)'
- elevation decimal(24, 6) NULL DEFAULT NULL COMMENT '高程(m)'
- area_code int NULL DEFAULT NULL COMMENT '地区编码'

-- ----------------------------
-- Table structure for base_photovoltaic_plant_mape_adj
-- ----------------------------

## 表(光伏电站-功率预测准确率调整表): base_photovoltaic_plant_mape_adj

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  base_photovoltaic_plant.id'
- mape_type int NULL DEFAULT NULL COMMENT '预测类型（1 中期光伏功率预测 2 短期光伏功率预测 3 超短期光伏功率预测 4
  15天光伏功率预测 5 1天光伏功率预测）'
- mape_plus_val decimal(8, 2) NULL DEFAULT 0.00 COMMENT '预测准确率附加值'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'

-- ----------------------------
-- Table structure for base_power_line
-- ----------------------------

## 表(输电线路配置): base_power_line

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- upper_line_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '上级线路ID'
- line_name varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路名称'
- grid_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电网类型key(
  字典获取)'
- line_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路类型key(
  字典获取)'
- strategy_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '市电峰谷配置ID'
- is_share_dispatch int NULL DEFAULT 0 COMMENT '是否激活共享调度(0_激活1_关闭)'
- is_reverse_dispatch int NULL DEFAULT NULL COMMENT '是否激活返输调度(0_激活1_关闭)'
- start_interval int NULL DEFAULT NULL COMMENT '启动间隔(分钟)'

-- ----------------------------
-- Table structure for base_power_line_diesel
-- ----------------------------

## 表(输电线路柴发设备配置): base_power_line_diesel

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- diesel_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '柴发设备ID'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'

-- ----------------------------
-- Table structure for base_power_line_plant
-- ----------------------------

## 表(输电线路光伏配置): base_power_line_plant

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- plant_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '光伏电站ID'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'

-- ----------------------------
-- Table structure for base_power_line_storage
-- ----------------------------

## 表(输电线路储能配置): base_power_line_storage

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- storage_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '储能设备ID'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'

-- ----------------------------
-- Table structure for base_power_line_wellhead
-- ----------------------------

## 表(输电线路井口配置): base_power_line_wellhead

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- wellhead_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- start_seq int NULL DEFAULT 1 COMMENT '启动顺序'

-- ----------------------------
-- Table structure for base_predict
-- ----------------------------

## 表(线路功率对比表): base_predict

字段列表:

- data_date datetime NULL DEFAULT NULL
- power double NULL DEFAULT NULL COMMENT '实际'
- power_pre float NULL DEFAULT NULL COMMENT '预测'
- line_id bigint NULL DEFAULT NULL

-- ----------------------------
-- Table structure for base_price_strategy
-- ----------------------------

## 表(市电峰谷表): base_price_strategy

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- policy_name varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '策略名称'
- area_code int NULL DEFAULT NULL COMMENT '适用地区编码'
- strategy_year varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年份'
- is_fixed_price int NULL DEFAULT 1 COMMENT '是否固定电价(0_是1_否)'
- fixed_electricity_price decimal(24, 6) NULL DEFAULT NULL COMMENT '固定电价'

-- ----------------------------
-- Table structure for base_price_strategy_detail
-- ----------------------------

## 表(市电峰谷当月明细配置表): base_price_strategy_detail

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- strategy_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '市电峰谷配置ID'
- strategy_month varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '市电峰谷月'
- period_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时段类型key(
  字典获取)'
- start_time varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '开始时间'
- end_time varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '结束时间'
- electrovalence decimal(24, 6) NULL DEFAULT NULL COMMENT '电价'
- internal_settlement_price decimal(24, 6) NULL DEFAULT NULL COMMENT '内部结算价'

-- ----------------------------
-- Table structure for base_price_strategy_month
-- ----------------------------

## 表(市电峰谷月配置表): base_price_strategy_month

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- strategy_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '市电峰谷配置ID'
- strategy_month varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '市电峰谷月(
  1-12)'

-- ----------------------------
-- Table structure for base_project_info
-- ----------------------------

## 表(项目表): base_project_info

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- project_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '项目名称'
- install_capacity decimal(10, 2) NULL DEFAULT NULL COMMENT '装机容量'
- array_incidence decimal(10, 2) NULL DEFAULT NULL COMMENT '阵列倾角'
- array_toward decimal(10, 2) NULL DEFAULT NULL COMMENT '阵列朝向'
- longitude decimal(10, 2) NULL DEFAULT NULL COMMENT '经度'
- latitude decimal(10, 2) NULL DEFAULT NULL COMMENT '纬度'
- elevation decimal(10, 2) NULL DEFAULT NULL COMMENT '高程'
- production_year varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '投产年份'
- service_length int NULL DEFAULT NULL COMMENT '服役年限'
- province varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- is_deleted int NULL DEFAULT 1

-- ----------------------------
-- Table structure for base_project_info_predicted_data
-- ----------------------------

## 表(项目预测功率表): base_project_info_predicted_data

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- project_id int NULL DEFAULT NULL COMMENT '项目id'
- particular_year varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年份'
- predicted_power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for base_wather
-- ----------------------------

## 表(预测天气小时表): base_wather

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- province_code varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '省份id'
- province_name varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '省份描述'
- city_code varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市id(包含区县)'
- city_name varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市描述(包含区县)'
- data_date datetime NULL DEFAULT NULL COMMENT '日期-到小时'
- weather varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天气'
- temperature varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '气温'
- precipitation varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '降水'
- wind_speed varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '风速'
- wind_direction varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '风向'
- pressure varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '气压'
- humidity varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '湿度'
- cloud_cover varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '云量'
- operate_time datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '数据时间戳'

-- ----------------------------
-- Table structure for base_wellhead
-- ----------------------------

## 表(井口配置表): base_wellhead

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是；1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- ou_name varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- run_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '运行类型key(
  字典获取)'
- run_type_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '运行类型key(
  字典获取)'
- service_rating decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '运行功率(KW)'
- rated_power decimal(24, 6) NOT NULL DEFAULT 0.000000 COMMENT '额定功率（KW）'

-- ----------------------------
-- Table structure for base_wind_tower
-- ----------------------------

## 表(风电站关联测风塔): base_wind_tower

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是；1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- station_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '风机电站ID'
- tower_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '测风塔ID'
- tower_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '测风塔名称'

-- ----------------------------
-- Table structure for base_wind_turbine
-- ----------------------------

## 表(风机电站表): base_wind_turbine

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是；1_否)'
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- ou_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构名称'
- station_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT '' COMMENT '风机电站名称'
- total_power decimal(10, 6) NULL DEFAULT NULL COMMENT '装机总量(KWP)'
- diameter decimal(10, 6) NULL DEFAULT NULL COMMENT '风轮直径(m)'
- vane_length decimal(10, 6) NULL DEFAULT NULL COMMENT '叶片长度(m)'
- hub_height decimal(10, 6) NULL DEFAULT NULL COMMENT '轮毂高度(m)'
- longitude decimal(10, 6) NULL DEFAULT NULL COMMENT '经度(°)'
- latitude decimal(10, 6) NULL DEFAULT NULL COMMENT '纬度(°)'
- elevation decimal(10, 6) NULL DEFAULT NULL COMMENT '高程(m)'
- area_code int NULL DEFAULT NULL COMMENT '地区编码'

-- ----------------------------
-- Table structure for config_oil_field
-- ----------------------------

## 表(油田配置表): config_oil_field

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- is_enable tinyint NOT NULL DEFAULT 1 COMMENT '是否启用(1_否,0_是)'
- oil_field_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '油田名称'
- oil_field_code varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '油田编码'
- province_list varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '省份列表\'\'分割'
- home_page_path varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '首页路由'
- auth_key varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '认证key(模拟登录)'
- simulate_user varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模拟用户(
  用户名)'
- is_demo tinyint NULL DEFAULT 1 COMMENT '是否演示修改(1_否,0_是)'
- demo_date date NULL DEFAULT NULL COMMENT '演示日期'
- third_party_auth_config json NULL COMMENT '第三方接口认证配置(JsonString)'
- project_title json NULL COMMENT '项目标题(展示sort为0的标题)'

-- ----------------------------
-- Table structure for config_time_task
-- ----------------------------

## 表(定时任务配置表): config_time_task

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- class_path varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '类路径'
- method_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '方法名'
- other_param varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '扩展参数(
  多个参数\'\'拼接)'
- scheduling_pattern varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'cron表达式'
- task_describe varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '描述'
- is_enable tinyint NULL DEFAULT NULL COMMENT '是否启用(0_是,1_否)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for energy_consumption_analysis
-- ----------------------------

## 表(能耗分析统计表): energy_consumption_analysis

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- line_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- power_generation decimal(24, 6) NULL DEFAULT NULL COMMENT '发电量(kWh)'
- power_consumption decimal(24, 6) NULL DEFAULT NULL COMMENT '用电量(kWh)'
- data_date date NULL DEFAULT NULL COMMENT '日期'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for jilin_power_data
-- ----------------------------

## 表(电站预测功率数据): jilin_power_data

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站名称'
- inverter_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '逆变器ID'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时间'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'

-- ----------------------------
-- Table structure for jilin_weather_data
-- ----------------------------

## 表(电站预测功率数据): jilin_weather_data

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT
- area_code varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市编码'
- area_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市名称'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年'
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '月'
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日'
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时'
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '分'
- weather_type varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天气类型'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(20, 8) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '压强'
- precipitation decimal(20, 8) NULL DEFAULT NULL COMMENT '降水量'
- plane_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for line_daily_electricity_trend
-- ----------------------------

## 表(线路日用电趋势): line_daily_electricity_trend

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- total_power decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '日累计用电量(KWh)'
- photovoltaic_power decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '光伏日用电量(KWh)'
- municipal_power decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '市电日用电量(KWh)'
- last_total_power decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '同期日累计用电量(KWh)'
- last_photovoltaic_power decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '同期光伏日用电量(KWh)'
- last_municipal_power decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '同期市电日用电量(KWh)'
- total_ratio decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '累计用电量同比(%)'
- photovoltaic_ratio decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '光伏用电量同比(%)'
- municipal_ratio decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '市电用电量同比(%)'
- valley_electric_open_hour decimal(10, 2) NULL DEFAULT NULL COMMENT '谷电开井时间(h)'
- valley_electric_rate decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '谷电占比(%)'
- sum_run_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '总运行时间(h)'
- create_date date NOT NULL COMMENT '创建时间'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for photovoltaic_electricity_consumption
-- ----------------------------

## 表(光伏用电表(测试用)): photovoltaic_electricity_consumption

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- ou_name varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '机构名称'
- total_electricity decimal(24, 6) NULL DEFAULT NULL COMMENT '总电量'
- city_electricity decimal(24, 6) NULL DEFAULT NULL COMMENT '市电'
- city_electricity_scale decimal(24, 6) NULL DEFAULT NULL COMMENT '市电环比'
- green_electricity decimal(24, 6) NULL DEFAULT NULL COMMENT '绿电'
- green_electricity_scale decimal(24, 6) NULL DEFAULT NULL COMMENT '绿电环比'
- data_date date NULL DEFAULT NULL COMMENT '日期'

-- ----------------------------
-- Table structure for plant_feature_data_ghi
-- ----------------------------

## 表(电站辐照度模拟): plant_feature_data_ghi

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- create_time datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
- GHI decimal(10, 0) NULL DEFAULT NULL COMMENT '总辐射'
- POA decimal(10, 0) NULL DEFAULT NULL COMMENT '散射辐射'

-- ----------------------------
-- Table structure for plant_feature_weather_data
-- ----------------------------

## 表(天气数据表): plant_feature_weather_data

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- ou_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '油田名称'
- well_site_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井场'
- station_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路名称'
- longitude decimal(20, 8) NULL DEFAULT NULL COMMENT '经度'
- latitude decimal(20, 8) NULL DEFAULT NULL COMMENT '纬度'
- total_power decimal(20, 8) NULL DEFAULT NULL COMMENT '装机容量'
- mounting_angle decimal(20, 8) NULL DEFAULT NULL COMMENT '阵列倾角'
- array_orientation decimal(20, 8) NULL DEFAULT NULL COMMENT '阵列朝向'
- elevation decimal(20, 8) NULL DEFAULT NULL COMMENT '高程'
- region varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '地区'
- area_code decimal(20, 8) NULL DEFAULT NULL COMMENT '地区编码'
- utc timestamp(3) NULL DEFAULT NULL COMMENT '世界时间'
- cst timestamp(3) NULL DEFAULT NULL COMMENT '北京时间'
- sea_pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '海平面气压(hPa)'
- surface_pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '地面气压(hPa)'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '气温2m(℃)'
- precipitation decimal(20, 8) NULL DEFAULT NULL COMMENT '降水量(mm)'
- snow_fall decimal(20, 8) NULL DEFAULT NULL COMMENT '降雪量(mm)'
- snow_depth decimal(20, 8) NULL DEFAULT NULL COMMENT '积雪深度'
- snow_density decimal(20, 8) NULL DEFAULT NULL COMMENT '积雪密度(kg/m3)'
- snow_layer_temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '雪层温度(℃)'
- surface_temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '地表温度(℃)'
- dew_point_temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '露点温度(℃)'
- relative_humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '相对湿度(%)'
- evaporation_capacity decimal(20, 8) NULL DEFAULT NULL COMMENT '蒸发量(mm)'
- potential_evaporation decimal(20, 8) NULL DEFAULT NULL COMMENT '潜在蒸发量(mm)'
- lon_wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '经向风速(V,m/s)'
- lat_wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '纬向风速(U,m/s)'
- maximum_gust decimal(20, 8) NULL DEFAULT NULL COMMENT '最大阵风(上一小时内，m/s)'
- cbh decimal(20, 8) NULL DEFAULT NULL COMMENT '云底高度(m)'
- lcc decimal(20, 8) NULL DEFAULT NULL COMMENT '低层云量(lcc)'
- mcc decimal(20, 8) NULL DEFAULT NULL COMMENT '中层云量(mcc)'
- hcc decimal(20, 8) NULL DEFAULT NULL COMMENT '高层云量(hcc)'
- tcc decimal(20, 8) NULL DEFAULT NULL COMMENT '总云量(tcc)'
- total_solar_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '总太阳辐射度(down,J/m2)'
- net_solar_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '净太阳辐射度(net,J/m2)'
- direct_radiation decimal(20, 8) NULL DEFAULT NULL COMMENT '直接辐射(J/m2)'
- uv_intensity decimal(20, 8) NULL DEFAULT NULL COMMENT '紫外强度(J/m2)'
- runoff decimal(20, 8) NULL DEFAULT NULL COMMENT '径流(mm)'
- surface_runoff decimal(20, 8) NULL DEFAULT NULL COMMENT '地表径流(mm)'
- underground_runoff decimal(20, 8) NULL DEFAULT NULL COMMENT '地下径流(mm)'
- thunderstorm_probability decimal(20, 8) NULL DEFAULT NULL COMMENT '雷暴概率(TT，K)'
- k_index decimal(20, 8) NULL DEFAULT NULL COMMENT 'K指数(K)'
- convective_available_potential_energy decimal(20, 8) NULL DEFAULT NULL COMMENT '对流可用位能(J/kg)'
- photovoltaic_power_generation decimal(20, 8) NULL DEFAULT NULL COMMENT '光伏发电功率Kw'
- total_solar_radiation decimal(20, 8) NULL DEFAULT NULL COMMENT '太阳总辐射Kwh/m2'

-- ----------------------------
-- Table structure for plant_feature_weather_data_base
-- ----------------------------

## 表(电站预测功率数据): plant_feature_weather_data_base

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路id'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(20, 8) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '压强'
- plane_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for plant_power_data
-- ----------------------------

## 表(电站发电数据表): plant_power_data

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '压强'
- plane_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(10, 2) NULL DEFAULT NULL COMMENT '实际功率'

-- ----------------------------
-- Table structure for plant_power_data_bak
-- ----------------------------

## 表(电站发电数据表): plant_power_data_bak

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '压强'
- plane_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(10, 2) NULL DEFAULT NULL COMMENT '实际功率'

-- ----------------------------
-- Table structure for plant_power_data_time
-- ----------------------------

## 表(电站发电数据表): plant_power_data_time

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- power decimal(10, 2) NULL DEFAULT NULL COMMENT '实际功率'
- create_time datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'

-- ----------------------------
-- Table structure for plant_power_history_data
-- ----------------------------

## 表(电站预测功率历史数据，主要是天气数据): plant_power_history_data

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站编码'
- plant_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站名称'
- area_code varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市编码'
- area_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市名称'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年'
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '月'
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日'
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时'
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '分'
- weather_type varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天气类型'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(20, 8) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '压强'
- precipitation decimal(20, 8) NULL DEFAULT NULL COMMENT '降水量'
- plane_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
  索引: data_date_index(data_date ASC) USING BTREE,
  索引: all_index(plant_id ASC, data_date ASC) USING BTREE

-- ----------------------------
-- Table structure for plant_predicted_power_data
-- ----------------------------

## 表(电站预测功率数据，主要是天气数据): plant_predicted_power_data

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站编码'
- plant_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站名称'
- area_code varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市编码'
- area_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市名称'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年'
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '月'
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日'
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时'
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '分'
- weather_type varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天气类型'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(20, 8) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '压强'
- precipitation decimal(20, 8) NULL DEFAULT NULL COMMENT '降水量'
- plane_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

索引: data_date_index(data_date ASC) USING BTREE,
索引: all_index(plant_id ASC, data_date ASC) USING BTREE

-- ----------------------------
-- Table structure for plant_predicted_power_data_copy
-- ----------------------------

## 表(电站预测功率数据): plant_predicted_power_data_copy

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站编码'
- plant_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '场站名称'
- area_code varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市编码'
- area_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '城市名称'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年'
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '月'
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日'
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时'
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '分'
- weather_type varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天气类型'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(20, 8) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '压强'
- precipitation decimal(20, 8) NULL DEFAULT NULL COMMENT '降水量'
- plane_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for plant_predicted_power_long_term
-- ----------------------------

## 表(电站长期预测发电数据表): plant_predicted_power_long_term

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '压强'
- plane_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(10, 2) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for plant_predicted_power_long_term_data
-- ----------------------------

## 表(电站长期预测发电数据表): plant_predicted_power_long_term_data

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- data_date datetime NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '温度'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '风速'
- wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '压强'
- plane_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '组件平面辐照度'
- horizontal_irradiance decimal(10, 2) NULL DEFAULT NULL COMMENT '全水平辐照度'
- power decimal(10, 2) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for plant_predicted_power_mid_term
-- ----------------------------

## 表(电站预测功率中期240小时数据): plant_predicted_power_mid_term

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路id'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '实际功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- predict_power varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '预测功率'

索引: plant_id_index(plant_id ASC) USING BTREE,
索引: data_date_index(data_date ASC) USING BTREE,
索引: union_index(plant_id ASC, data_date ASC) USING BTREE


-- ----------------------------
-- Table structure for plant_predicted_power_short_term
-- ----------------------------

## 表(电站预测功率短期72小时数据): plant_predicted_power_short_term

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路id'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- predict_power varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL

索引: union_index(plant_id ASC, data_date ASC) USING BTREE


-- ----------------------------
-- Table structure for plant_predicted_power_ultra_term
-- ----------------------------

## 表(电站预测功率超短期4小时数据): plant_predicted_power_ultra_term

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路id'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- predict_power varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL

-- ----------------------------
-- Table structure for plant_train_power_task
-- ----------------------------

## 表(电站辐照度模拟): plant_train_power_task

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- create_time datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间'
- model_key varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  模型类别：A：多线路模型，O:单线路模型'
- model_name varchar(65) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模型名称'
- plant_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电站id'
- run_step varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '运行步骤 T:训练，V:
  验证，P:预测'
- run_state int NULL DEFAULT NULL COMMENT '运行状态1：成功，2：失败'
- model_json longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '模型请求参数'
- model_value varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '模型文件'
- metrics_data longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '验证集评分'
- data_size varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '数据量'
- data_date datetime NULL DEFAULT NULL COMMENT '运行时间'
- predict longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '预测结果'
- metrics_score varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- model_cycle int NULL DEFAULT NULL COMMENT '周期4/72/240 小时'

-- ----------------------------
-- Table structure for space_calibration_history
-- ----------------------------

## 表(执行历史): space_calibration_history

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间(执行开始时间)'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- institution_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- execution_cycle varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行周期'
- calibration_date datetime NULL DEFAULT NULL COMMENT '校准日期'

-- ----------------------------
-- Table structure for space_calibration_period
-- ----------------------------

## 表(周期设定): space_calibration_period

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间(周期开始时间)'
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- day_number varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天数'

-- ----------------------------
-- Table structure for space_institution_detail
-- ----------------------------

## 表(间开制度基础信息): space_institution_detail

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是,1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ou_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组织机构ID'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- grid_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '电网类型key(
  字典获取)'
- institution_name varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '制度名称'
- institution_start_date datetime(3) NULL DEFAULT NULL COMMENT '制度开始时间'
- institution_end_date datetime NULL DEFAULT NULL COMMENT '制度结束时间'
- optimize_deadline date NULL DEFAULT NULL COMMENT '优化至'
- optimize_state int NULL DEFAULT 1 COMMENT '优化状态(0_已优化,1_未优化)'
- is_current_basic int NULL DEFAULT 1 COMMENT '当前基础制度(0_是,1_否)'
- start_interval int NULL DEFAULT NULL COMMENT '启动间隔(分钟)'
- tundra_strategy int NULL DEFAULT 1 COMMENT '防冻土策略(0_是,1_否)'

-- ----------------------------
-- Table structure for space_institution_duration
-- ----------------------------

## 表(间开制度时段配置): space_institution_duration

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是,1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- institution_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- config_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度井口配置ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- generation_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  发电类型key(字典获取)'
- open_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '开井时间'
- close_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关井时间'

-- ----------------------------
-- Table structure for space_institution_wellhead
-- ----------------------------

## 表(间开制度井口配置): space_institution_wellhead

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是,1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- institution_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- run_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '运行类型key(
  字典获取)'
- interval_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开类型key(
  字典获取)'
- interval_describe varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开描述'
- start_seq int NULL DEFAULT NULL COMMENT '启动顺序'
- open_well_day int NULL DEFAULT NULL COMMENT '开井天数'
- close_well_day int NULL DEFAULT NULL COMMENT '关井天数'
- run_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '运行时长（小时/天）'
- max_open decimal(10, 2) NULL DEFAULT 0.00 COMMENT '单次最高开井时长(h)'
- min_open decimal(10, 2) NULL DEFAULT 0.00 COMMENT '单次最低开井时长(h)'
- max_close decimal(10, 2) NULL DEFAULT 0.00 COMMENT '单次最高关井时长(h)'
- min_close decimal(10, 2) NULL DEFAULT 0.00 COMMENT '单次最低关井时长(h)'

-- ----------------------------
-- Table structure for space_optimize_effect
-- ----------------------------

## 表(间开优化效果): space_optimize_effect

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间(优化开始时间)'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'
- optimal_result varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '优化后制度描述'
- total_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前总开井时长(min)'
- green_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前绿电开井时长(min)'
- low_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前谷电开井时长(min)'
- mid_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前平电开井时长(min)'
- high_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前高峰电开井时长(min)'
- peak_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前尖峰电开井时长(min)'
- green_power_rate decimal(10, 2) NULL DEFAULT NULL COMMENT '优化前绿电占比(%)'
- green_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化前绿电电费(元)'
- low_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化前谷电电费(元)'
- mid_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化前平电电费(元)'
- high_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化前高峰电费(元)'
- peak_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化前尖峰电费(元)'
- power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化前用能成本(元)'
- optimal_total_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后总开井时长(min)'
- optimal_green_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后绿电开井时长(min)'
- optimal_low_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后谷电开井时长(min)'
- optimal_mid_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后平电开井时长(min)'
- optimal_high_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后高峰电开井时长(min)'
- optimal_peak_power_duration decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后尖峰电开井时长(min)'
- optimal_green_power_rate decimal(10, 2) NULL DEFAULT NULL COMMENT '优化后绿电占比(%)'
- optimal_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化后用能成本(元)'
- optimal_green_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化后绿电电费(元)'
- optimal_low_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化后谷电电费(元)'
- optimal_mid_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化后平电电费(元)'
- optimal_high_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化后高峰电费(元)'
- optimal_peak_power_cost decimal(10, 6) NULL DEFAULT NULL COMMENT '优化后尖峰电费(元)'
- green_power_upgrade decimal(10, 2) NULL DEFAULT NULL COMMENT '绿电提升(%)'
- cost_down decimal(10, 6) NULL DEFAULT NULL COMMENT '成本降低(元)'

-- ----------------------------
-- Table structure for space_optimize_long_duration
-- ----------------------------

## 表(中期间开优化井口制度记录): space_optimize_long_duration

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- record_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口记录ID'
- long_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '中期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- is_optimize int NULL DEFAULT NULL COMMENT '是否优化(0_是1_否)'
- generation_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  发电类型key(字典获取)'
- open_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '开井时间'
- close_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关井时间'
- first_start int NULL DEFAULT 1 COMMENT '是否第一次启动(0_是1_否)'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_long_period
-- ----------------------------

## 表(中期间开优化周期记录): space_optimize_long_period

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间(优化开始时间)'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- institution_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- execution_cycle varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行周期'
- optimize_state int NULL DEFAULT NULL COMMENT '优化状态(0_已优化1_未优化)'
- optimize_deadline datetime(3) NULL DEFAULT NULL COMMENT '优化截止日期'

-- ----------------------------
-- Table structure for space_optimize_long_wellhead
-- ----------------------------

## 表(中期间开优化井口记录): space_optimize_long_wellhead

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- long_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '中期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- start_seq int NULL DEFAULT NULL COMMENT '启动顺序'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_mid_duration
-- ----------------------------

## 表(短期间开优化井口制度记录): space_optimize_mid_duration

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- record_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口记录ID'
- mid_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '短期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- is_optimize int NULL DEFAULT NULL COMMENT '是否优化(0_是1_否)'
- generation_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  发电类型key(字典获取)'
- open_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '开井时间'
- close_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关井时间'
- first_start int NULL DEFAULT 1 COMMENT '是否第一次启动(0_是1_否)'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_mid_period
-- ----------------------------

## 表(短期间开优化周期记录): space_optimize_mid_period

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间(优化开始时间)'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- institution_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- execution_cycle varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行周期'
- optimize_state int NULL DEFAULT NULL COMMENT '优化状态(0_已优化1_未优化)'
- optimize_deadline datetime(3) NULL DEFAULT NULL COMMENT '优化截止日期'

-- ----------------------------
-- Table structure for space_optimize_mid_wellhead
-- ----------------------------

## 表(短期间开优化井口记录): space_optimize_mid_wellhead

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- mid_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '短期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- start_seq int NULL DEFAULT NULL COMMENT '启动顺序'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_short_duration
-- ----------------------------

## 表(短期间开优化井口制度记录): space_optimize_short_duration

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- record_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口记录ID'
- short_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '短期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- is_optimize int NULL DEFAULT NULL COMMENT '是否优化(0_是1_否)'
- generation_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  发电类型key(字典获取)'
- open_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '开井时间'
- close_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关井时间'
- first_start int NULL DEFAULT 1 COMMENT '是否第一次启动(0_是1_否)'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_short_period
-- ----------------------------

## 表(短期间开优化周期记录): space_optimize_short_period

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- institution_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- optimize_state int NULL DEFAULT NULL COMMENT '优化状态(0_已优化1_未优化)'
- optimize_date datetime NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_short_wellhead
-- ----------------------------

## 表(短期间开优化井口记录): space_optimize_short_wellhead

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- short_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '短期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- start_seq int NULL DEFAULT NULL COMMENT '启动顺序'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'
- frostproof_well int NULL DEFAULT 1 COMMENT '是否防冻井(0_是1_否)'

-- ----------------------------
-- Table structure for space_optimize_ultra_duration
-- ----------------------------

## 表(长期间开优化井口制度记录): space_optimize_ultra_duration

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- record_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口记录ID'
- ultra_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '长期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- is_optimize int NULL DEFAULT NULL COMMENT '是否优化(0_是1_否)'
- generation_type_key varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '
  发电类型key(字典获取)'
- open_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '开井时间'
- close_well_time varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关井时间'
- first_start int NULL DEFAULT 1 COMMENT '是否第一次启动(0_是1_否)'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for space_optimize_ultra_period
-- ----------------------------

## 表(长期间开优化周期记录): space_optimize_ultra_period

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间(优化开始时间)'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- line_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路ID'
- institution_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '间开制度ID'
- execution_cycle varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行周期'
- optimize_state int NULL DEFAULT NULL COMMENT '优化状态(0_已优化1_未优化)'
- optimize_deadline datetime(3) NULL DEFAULT NULL COMMENT '优化截止日期'

-- ----------------------------
-- Table structure for space_optimize_ultra_wellhead
-- ----------------------------

## 表(长期间开优化井口记录): space_optimize_ultra_wellhead

字段列表:

- id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci PRIMARY KEY NOT NULL COMMENT 'ID'
- is_deleted int NULL DEFAULT 1 COMMENT '是否删除(0_是1_否)'
- create_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人ID'
- create_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建人名称'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'
- modify_by_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人ID'
- modify_by_name varchar(90) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '修改人名称'
- modify_time datetime NULL DEFAULT NULL COMMENT '修改时间'
- ultra_period_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '长期优化周期ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- start_seq int NULL DEFAULT NULL COMMENT '启动顺序'
- optimize_date date NULL DEFAULT NULL COMMENT '优化日期'

-- ----------------------------
-- Table structure for station_daily_production_situation
-- ----------------------------

## 表(光伏电站生产情况表(每日统计)): station_daily_production_situation

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组名称(
  线路/光伏电站)'
- station_id varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID(光伏电站)'
- data_date date NULL DEFAULT NULL COMMENT '日期'
- production_time decimal(10, 2) NULL DEFAULT NULL COMMENT '生产时间(h)'
- daily_electricity_consumption decimal(24, 6) NULL DEFAULT NULL COMMENT '日耗电量(kW-h)'
- daily_liquid_production decimal(24, 6) NULL DEFAULT NULL COMMENT '日产液量(m³)'
- daily_utility_electricity_consumption decimal(10, 6) NULL DEFAULT NULL COMMENT '日市电用电量'
- electricity_consumption_ph decimal(10, 6) NULL DEFAULT NULL COMMENT '尖峰时段用电量'
- electricity_consumption_hh decimal(10, 6) NULL DEFAULT NULL COMMENT '高峰时段用电量'
- electricity_consumption_np decimal(10, 6) NULL DEFAULT NULL COMMENT '平时段用电量'
- electricity_consumption_vh decimal(10, 6) NULL DEFAULT NULL COMMENT '谷时段用电量'
- electricity_charge_city decimal(10, 6) NULL DEFAULT NULL COMMENT '日市电用电费'
- electricity_charges_ph decimal(10, 6) NULL DEFAULT NULL COMMENT '尖峰时段电费'
- peak_hour_tariff decimal(10, 6) NULL DEFAULT NULL COMMENT '高峰时段电费'
- normal_period_tariff decimal(10, 6) NULL DEFAULT NULL COMMENT '平时段电费'
- alley_hours_tariff decimal(10, 6) NULL DEFAULT NULL COMMENT '谷时段用电费'
- photovoltaic_power decimal(10, 6) NULL DEFAULT NULL COMMENT '光伏发电量(KW·h)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- create_date datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for storage_predicted_power_data
-- ----------------------------

## 表(储能预测电量数据(测试用)): storage_predicted_power_data

字段列表:

- id int PRIMARY KEY NOT NULL AUTO_INCREMENT
- storage_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '储能设备id'
- data_date varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日期'
- year_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '年'
- month_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '月'
- day_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '日'
- hour_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '时'
- min_time varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '分'
- power decimal(20, 8) NULL DEFAULT NULL COMMENT '预测功率'
- create_time datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for sys_area
-- ----------------------------

## 表(区域表): sys_area

字段列表:

- id int NULL DEFAULT NULL
- name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- parent_id int NULL DEFAULT NULL
- lev int NULL DEFAULT NULL
- city_code varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- province_code varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_auth_ou_scope
-- ----------------------------

## 表(权限范围表): sys_auth_ou_scope

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_group_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- menu_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_dictionary
-- ----------------------------

## 表(字典表): sys_dictionary

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- pid varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- dic_name varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- short_name varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- remark varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- sort int NULL DEFAULT NULL
- levels int NULL DEFAULT NULL
- be_default int NULL DEFAULT NULL
- be_has_children int NULL DEFAULT NULL
- dic_type int NULL DEFAULT NULL
- effect_time datetime NULL DEFAULT NULL
- end_time datetime NULL DEFAULT NULL
- create_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- alias varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- dic_key varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- dic_path varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- is_org int NULL DEFAULT NULL
- default_value varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------

## 表(菜单表): sys_menu

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- menu_name varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- parent_menu_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- is_visiable int NULL DEFAULT NULL
- is_has_scope int NULL DEFAULT NULL
- sort int NULL DEFAULT NULL
- is_has_children int NULL DEFAULT NULL
- url varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- is_external int NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- menu_type varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- is_has_appear int NULL DEFAULT NULL
- media_type varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- level varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- menu_describe varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- show_children tinyint(1) NULL DEFAULT NULL
- menu_pattern varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- apply_scene int NULL DEFAULT 0,
- menu_icon varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_organization
-- ----------------------------

## 表(组织机构表): sys_organization

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- ou_code varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- ou_name varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- short_name varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- ou_level varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- description varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- post_code varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- post_address varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- fax_no varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- phone varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- country varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- province varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- effect_time datetime NULL DEFAULT NULL
- end_time datetime NULL DEFAULT NULL
- is_deleted int NULL DEFAULT 1
- longitude decimal(10, 2) NULL DEFAULT NULL COMMENT '经度'
- latitude decimal(10, 2) NULL DEFAULT NULL COMMENT '纬度'
- elevation decimal(10, 2) NULL DEFAULT NULL COMMENT '高程'

-- ----------------------------
-- Table structure for sys_organization_property
-- ----------------------------

## 表(组织机构属性表): sys_organization_property

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- property_code varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- property_value varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- effect_time datetime NULL DEFAULT NULL
- end_time datetime NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_organization_rel
-- ----------------------------

## 表(组织机构关系表): sys_organization_rel

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- parent_ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- levels int NULL DEFAULT NULL
- ou_id_path varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- ou_name_path varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- is_has_children int NULL DEFAULT NULL
- effect_time datetime NULL DEFAULT NULL
- end_time datetime NULL DEFAULT NULL
- sort int NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------

## 表(角色表): sys_role

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- role_name varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- remark varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- media_type varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- sort int NULL DEFAULT NULL
- is_inheritable int NULL DEFAULT NULL
- role_type varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- is_overall tinyint(1) NULL DEFAULT NULL
- bps_role_id int NULL DEFAULT NULL
- sync_work_flow tinyint(1) NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_role_menu_auth
-- ----------------------------

## 表(角色-菜单权限表): sys_role_menu_auth

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- role_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- menu_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------

## 表(用户表): sys_user

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- user_name varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_domain varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_code varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_type int NULL DEFAULT NULL
- phone varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- email varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- login_name varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- is_super_admin int NULL DEFAULT NULL
- identify_no varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- remark varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- end_date datetime NULL DEFAULT NULL
- password varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- duty varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- sign_image text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- prompt_mode varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- cert text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL,
- sort int NULL DEFAULT NULL
- ca_begin_date datetime NULL DEFAULT NULL
- ca_end_date datetime NULL DEFAULT NULL
- iam_login_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- last_login_time datetime NULL DEFAULT NULL
- job_desc varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- fax_no varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- postal_code varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- address varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- is_outer int NULL DEFAULT NULL
- is_inner int NULL DEFAULT NULL
- is_trade int NULL DEFAULT 0,
- status int NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_user_login_log
-- ----------------------------

## 表(用户登录日志): sys_user_login_log

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- login_name varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- error_msg varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_user_organization_rel
-- ----------------------------

## 表(用户组织机构表): sys_user_organization_rel

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL
- effect_time datetime NULL DEFAULT NULL
- end_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for sys_user_role_rel
-- ----------------------------

## 表(用户角色表): sys_user_role_rel

字段列表:

- id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
- role_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- user_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- ou_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- create_time datetime NULL DEFAULT NULL
- modify_by_id varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_by_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
- modify_time datetime NULL DEFAULT NULL

-- ----------------------------
-- Table structure for third_active_power
-- ----------------------------

## 表(第三方有功功率(全量数据)): third_active_power

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组名称(
  线路/光伏电站)'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID(
  线路/光伏电站)'
- create_date datetime NULL DEFAULT NULL COMMENT '创建时间'
- photovoltaic_power decimal(10, 4) NULL DEFAULT NULL COMMENT '光伏有功功率(KW)'
- meter_power decimal(10, 4) NULL DEFAULT NULL COMMENT '电表有功功率(KW)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- input_time datetime NULL DEFAULT NULL COMMENT '录入时间'

索引: union_index(station_name ASC, create_date ASC) USING BTREE,
索引: union_index_15(station_id ASC, input_time ASC) USING BTREE


-- ----------------------------
-- Table structure for third_active_power_copy1
-- ----------------------------

## 表(第三方有功功率(全量数据)): third_active_power_copy1

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID(
  线路/光伏电站)'
- create_date datetime NOT NULL COMMENT '创建时间'
- photovoltaic_power decimal(10, 4) NOT NULL COMMENT '光伏有功功率(KW)'
- meter_power decimal(10, 4) NULL DEFAULT NULL COMMENT '电表有功功率(KW)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- input_time datetime NULL DEFAULT NULL COMMENT '录入时间'

索引: union_index(station_name ASC, create_date ASC) USING BTREE,
索引: union_index_15(station_id ASC, input_time ASC) USING BTREE


-- ----------------------------
-- Table structure for third_active_power_daily_update
-- ----------------------------

## 表(第三方有功功率(每日最新数据)): third_active_power_daily_update

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID(
  线路/光伏电站)'
- create_date datetime NOT NULL COMMENT '创建时间'
- photovoltaic_power decimal(10, 4) NOT NULL COMMENT '光伏有功功率(KW)'
- meter_power decimal(10, 4) NOT NULL COMMENT '电表有功功率(KW)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- save_date date NOT NULL COMMENT '入库日期'
- save_hour datetime NOT NULL COMMENT '入库小时数'

索引: union_index(station_id ASC, create_date ASC, save_date ASC) USING BTREE


-- ----------------------------
-- Table structure for third_current_well_condition
-- ----------------------------

## 表(第三方当日油井状态): third_current_well_condition

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井号'
- next_time datetime NULL DEFAULT NULL COMMENT '下次启停时间'
- well_status varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井口状态(开/停井)'
- cumulative_production decimal(10, 4) NOT NULL COMMENT '累计产液量(m³)'
- running_time decimal(10, 2) NOT NULL COMMENT '开井时长(h)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- update_time datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间'

-- ----------------------------
-- Table structure for third_daily_accumulation
-- ----------------------------

## 表(第三方井场日累计数据): third_daily_accumulation

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID(光伏电站)'
- create_date datetime NULL DEFAULT NULL COMMENT '创建时间'
- photovoltaic_power decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '光伏日累计发电(KWh)'
- daily_electricity_consumption decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '日累计用电量(KW·h)'
- daily_liquid_production decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '日累计产液量(m³)'
- in_place_consumption decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '就地消纳电量(KWh)'
- save_date date NOT NULL COMMENT '入库日期'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- energy_storage_discharge decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '储能累计放电量(KW·h)'

-- ----------------------------
-- Table structure for third_daily_accumulation_update
-- ----------------------------

## 表(第三方井场日累计数据(每日最新数据)): third_daily_accumulation_update

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井组ID(光伏电站)'
- create_date datetime NULL DEFAULT NULL COMMENT '创建时间'
- photovoltaic_power decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '光伏日累计发电(KWh)'
- daily_electricity_consumption decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '日累计用电量(KW·h)'
- daily_liquid_production decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '日累计产液量(m³)'
- in_place_consumption decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '就地消纳电量(KWh)'
- save_date date NOT NULL COMMENT '入库日期'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- save_hour datetime NULL DEFAULT NULL COMMENT '保存时间'
- energy_storage_discharge decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '储能累计放电量(KW·h)'

-- ----------------------------
-- Table structure for third_photovoltaic_power
-- ----------------------------

## 表(第三方光伏日发电量): third_photovoltaic_power

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井组名称(线路/光伏电站)'
- create_date date NOT NULL COMMENT '创建时间'
- photovoltaic_power decimal(10, 4) NOT NULL COMMENT '光伏发电量(KW·h)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for third_weather_data
-- ----------------------------

## 表(天气数据表): third_weather_data

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- dni decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '太阳直接辐射[W/m2]'
- ghi decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '太阳总辐射（水平面）[W/m2]'
- dhi decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '太阳散射辐射（水平面）[W/m2]'
- forecast_time datetime NULL DEFAULT NULL COMMENT '预报时间'
- tem decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '气温 [C]'
- rhu decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '相对湿度 [%]'
- wns decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '风速（地面10米）[m/s]'
- wnd int NULL DEFAULT 0 COMMENT '风向角度（地面10米）[degree]'
- wns_grd int NULL DEFAULT 0 COMMENT '风力等级（地面10米）'
- gust decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '阵风风速（地面10米）[m/s]'
- pre decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '降水量（1小时累计）[mm]'
- prs_qfe decimal(24, 6) NULL DEFAULT NULL COMMENT '地面气压 [hPa]'
- vis decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '能见度 [km]'
- clo decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '云量 [%]'
- uvb decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '紫外线UV辐照度（1小时累计）[kWh/m2]'
- uvi int NULL DEFAULT 0 COMMENT '紫外线UV辐照指数'
- phs int NULL DEFAULT 0 COMMENT '降水相态：(0无降水, 1雨, 3冻雨, 5雪, 6湿雪, 7雨夹雪, 8冰雹)'
- wep int NULL DEFAULT 0 COMMENT '天气现象代码'
- wnd_100m int NULL DEFAULT 0 COMMENT '风向角度（地面100米）[degree]'
- wns_100m decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '风速（地面100米）[m/s]'
- wns_grd_100m int NULL DEFAULT 0 COMMENT '风力等级（地面100米）'
- update_time datetime NULL DEFAULT NULL COMMENT '天气数据更新时间'
- create_time datetime NULL DEFAULT NULL COMMENT '数据创建时间'
- longitude decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '经度(°)'
- latitude decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '纬度(°)'

-- ----------------------------
-- Table structure for third_well_avg_active_power
-- ----------------------------

## 表(第三方单井平均有功功率): third_well_avg_active_power

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '井号'
- input_time datetime NULL DEFAULT NULL COMMENT '采集时间'
- avg_active_power decimal(10, 4) UNSIGNED ZEROFILL NULL DEFAULT 000000.0000 COMMENT '平均有功功率(KW)'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- save_date datetime NOT NULL COMMENT '入库日期'

索引: union_index(well_number ASC, input_time ASC) USING BTREE


-- ----------------------------
-- Table structure for third_wind_power_generation
-- ----------------------------

## 表(第三方风力发电数据): third_wind_power_generation

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '风电站名称'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '风电站ID'
- collect_time datetime NULL DEFAULT NULL COMMENT '采集时间'
- actual_wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '实际风速(m/s)'
- actual_power decimal(10, 4) NULL DEFAULT NULL COMMENT '实际功率(kw)'
- actual_generation decimal(10, 2) NULL DEFAULT NULL COMMENT '实际发电量(kw)'
- accurate_wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '精确风向(实际)'
- actual_wind_direction int NULL DEFAULT NULL COMMENT '实际风向(用精确风向转换)'
- input_time datetime NULL DEFAULT NULL COMMENT '录入时间'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for third_wind_power_generation_update
-- ----------------------------

## 表(第三方风力发电数据(每日最新数据)): third_wind_power_generation_update

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_name varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '风电站名称'
- station_id varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '风电站ID'
- collect_time datetime NULL DEFAULT NULL COMMENT '采集时间'
- actual_wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '实际风速(m/s)'
- actual_power decimal(10, 4) NULL DEFAULT NULL COMMENT '实际功率(kw)'
- actual_generation decimal(10, 2) NULL DEFAULT NULL COMMENT '实际发电量(kw)'
- accurate_wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '精确风向(实际)'
- actual_wind_direction int NULL DEFAULT NULL COMMENT '实际风向(用精确风向转换)'
- input_time datetime NULL DEFAULT NULL COMMENT '录入时间'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for weather_bureau_data
-- ----------------------------

## 表(气象局天气数据表): weather_bureau_data

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- data_time datetime NOT NULL COMMENT '记录时间'
- weather_icon varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '天气图标'
- air_temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '气温(℃)'
- precipitation varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '降水'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '风速(m/s)'
- wind_direction int NULL DEFAULT NULL COMMENT '风向'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '气压(hPa)'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度(%)'
- cloud_cover decimal(10, 2) NULL DEFAULT NULL COMMENT '云量(%)'
- area_code varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '地区编码'

-- ----------------------------
-- Table structure for weather_data
-- ----------------------------

## 表(天气数据表): weather_data

字段列表:

- id int NULL DEFAULT NULL
- oil_field_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '油田名称'
- well_site_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井场'
- line_name varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '线路名称'
- lon decimal(20, 8) NULL DEFAULT NULL COMMENT '经度'
- lat decimal(20, 8) NULL DEFAULT NULL COMMENT '纬度'
- cap decimal(20, 8) NULL DEFAULT NULL COMMENT '装机容量'
- tilt decimal(20, 8) NULL DEFAULT NULL COMMENT '阵列倾角'
- azimuth decimal(20, 8) NULL DEFAULT NULL COMMENT '阵列朝向'
- utc timestamp(3) NULL DEFAULT NULL COMMENT '世界时间'
- cst timestamp(3) NULL DEFAULT NULL COMMENT '北京时间'
- sea_pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '海平面气压(hPa)'
- surface_pressure decimal(20, 8) NULL DEFAULT NULL COMMENT '地面气压(hPa)'
- temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '气温2m(℃)'
- precipitation decimal(20, 8) NULL DEFAULT NULL COMMENT '降水量(mm)'
- snow_fall decimal(20, 8) NULL DEFAULT NULL COMMENT '降雪量(mm)'
- snow_depth decimal(20, 8) NULL DEFAULT NULL COMMENT '积雪深度'
- snow_density decimal(20, 8) NULL DEFAULT NULL COMMENT '积雪密度(kg/m3)'
- snow_layer_temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '雪层温度(℃)'
- surface_temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '地表温度(℃)'
- dew_point_temperature decimal(20, 8) NULL DEFAULT NULL COMMENT '露点温度(℃)'
- relative_humidity decimal(20, 8) NULL DEFAULT NULL COMMENT '相对湿度(%)'
- evaporation_capacity decimal(20, 8) NULL DEFAULT NULL COMMENT '蒸发量(mm)'
- potential_evaporation decimal(20, 8) NULL DEFAULT NULL COMMENT '潜在蒸发量(mm)'
- lon_wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '经向风速(V,m/s)'
- lat_wind_speed decimal(20, 8) NULL DEFAULT NULL COMMENT '纬向风速(U,m/s)'
- maximum_gust decimal(20, 8) NULL DEFAULT NULL COMMENT '最大阵风(上一小时内，m/s)'
- cbh decimal(20, 8) NULL DEFAULT NULL COMMENT '云底高度(m)'
- lcc decimal(20, 8) NULL DEFAULT NULL COMMENT '低层云量(lcc)'
- mcc decimal(20, 8) NULL DEFAULT NULL COMMENT '中层云量(mcc)'
- hcc decimal(20, 8) NULL DEFAULT NULL COMMENT '高层云量(hcc)'
- tcc decimal(20, 8) NULL DEFAULT NULL COMMENT '总云量(tcc)'
- total_solar_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '总太阳辐射度(down,J/m2)'
- net_solar_irradiance decimal(20, 8) NULL DEFAULT NULL COMMENT '净太阳辐射度(net,J/m2)'
- direct_radiation decimal(20, 8) NULL DEFAULT NULL COMMENT '直接辐射(J/m2)'
- uv_intensity decimal(20, 8) NULL DEFAULT NULL COMMENT '紫外强度(J/m2)'
- runoff decimal(20, 8) NULL DEFAULT NULL COMMENT '径流(mm)'
- surface_runoff decimal(20, 8) NULL DEFAULT NULL COMMENT '地表径流(mm)'
- underground_runoff decimal(20, 8) NULL DEFAULT NULL COMMENT '地下径流(mm)'
- thunderstorm_probability decimal(20, 8) NULL DEFAULT NULL COMMENT '雷暴概率(TT，K)'
- k_index decimal(20, 8) NULL DEFAULT NULL COMMENT 'K指数(K)'
- convective_available_potential_energy decimal(20, 8) NULL DEFAULT NULL COMMENT '对流可用位能(J/kg)'
- photovoltaic_power_generation decimal(20, 8) NULL DEFAULT NULL COMMENT '光伏发电功率Kw'
- total_solar_radiation decimal(20, 8) NULL DEFAULT NULL COMMENT '太阳总辐射Kwh/m2'

-- ----------------------------
-- Table structure for well_daily_electricity_trend
-- ----------------------------

## 表(井口日用电趋势): well_daily_electricity_trend

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- space_run_duration decimal(10, 2) NULL DEFAULT 0.00 COMMENT '间开每日运行时长(h)'
- daily_open_hour decimal(10, 2) NULL DEFAULT 0.00 COMMENT '实际每日开井时间(h)'
- daily_green_open_hour decimal(10, 2) NULL DEFAULT 0.00 COMMENT '绿电开井时间(h)'
- daily_green_consumption decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '日绿电用电量(kW-h)'
- daily_electricity_consumption decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '日耗电量(kW-h)'
- daily_liquid_production decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '日产液量(m³)'
- daily_carbon_reduction decimal(24, 6) NULL DEFAULT 0.000000 COMMENT '日减碳量(吨)'
- green_electricity_rate decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '绿电占比(%)'
- valley_electric_open_hour decimal(10, 2) NULL DEFAULT NULL COMMENT '谷电开井时间(h)'
- valley_electric_rate decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '谷电占比(%)'
- create_date date NOT NULL COMMENT '创建时间'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'

-- ----------------------------
-- Table structure for wellhead_daily_production_situation
-- ----------------------------

## 表(井口生产情况表): wellhead_daily_production_situation

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- wellhead_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井口ID'
- well_number varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '井号'
- data_date date NULL DEFAULT NULL COMMENT '日期'
- production_time decimal(10, 2) NULL DEFAULT NULL COMMENT '生产时间(h)'
- daily_electricity_consumption decimal(24, 6) NULL DEFAULT NULL COMMENT '日耗电量(kW-h)'
- daily_liquid_production decimal(24, 6) NULL DEFAULT NULL COMMENT '日产液量(m³)'
- daily_utility_electricity_consumption decimal(10, 6) NULL DEFAULT NULL COMMENT '日市电用电量'
- electricity_consumption_ph decimal(10, 6) NULL DEFAULT NULL COMMENT '尖峰时段用电量'
- electricity_consumption_hh decimal(10, 6) NULL DEFAULT NULL COMMENT '高峰时段用电量'
- electricity_consumption_np decimal(10, 6) NULL DEFAULT NULL COMMENT '平时段用电量'
- electricity_consumption_vh decimal(10, 6) NULL DEFAULT NULL COMMENT '谷时段用电量'
- electricity_charge_city decimal(10, 6) NULL DEFAULT NULL COMMENT '日市电用电费'
- electricity_charges_ph decimal(10, 6) NULL DEFAULT NULL COMMENT '尖峰时段电费'
- peak_hour_tariff decimal(10, 6) NULL DEFAULT NULL COMMENT '高峰时段电费'
- normal_period_tariff decimal(10, 6) NULL DEFAULT NULL COMMENT '平时段电费'
- alley_hours_tariff decimal(10, 6) NULL DEFAULT NULL COMMENT '谷时段用电费'
- system_source varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '来源系统'
- create_date datetime NULL DEFAULT NULL COMMENT '创建时间'

-- ----------------------------
-- Table structure for wind_prediction_future
-- ----------------------------

## 表(风预测数据): wind_prediction_future

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '风电站ID'
- data_time datetime NOT NULL COMMENT '记录时间'
- wind_direction int NULL DEFAULT NULL COMMENT '风向'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '预报风速(m/s)'
- air_temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '气温(℃)'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度(%)'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '气压(hPa)'
- actual_wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '实际风速(m/s)'
- actual_power decimal(10, 4) NULL DEFAULT NULL COMMENT '预测功率(kw)'
- predicted_power decimal(10, 4) NULL DEFAULT NULL COMMENT '预测功率(kw)弃用'

-- ----------------------------
-- Table structure for wind_prediction_history
-- ----------------------------

## 表(风预测历史数据): wind_prediction_history

字段列表:

- id bigint PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ID'
- station_id varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '风电站ID'
- data_time datetime NOT NULL COMMENT '记录时间'
- wind_direction int NULL DEFAULT NULL COMMENT '风向'
- wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '预报风速(m/s)'
- air_temperature decimal(10, 2) NULL DEFAULT NULL COMMENT '气温(℃)'
- humidity decimal(10, 2) NULL DEFAULT NULL COMMENT '湿度(%)'
- pressure decimal(10, 2) NULL DEFAULT NULL COMMENT '气压(hPa)'
- actual_wind_direction decimal(10, 2) NULL DEFAULT NULL COMMENT '实际风向'
- actual_wind_speed decimal(10, 2) NULL DEFAULT NULL COMMENT '实际风速(m/s)'
- actual_power decimal(10, 4) NULL DEFAULT NULL COMMENT '实际功率(kw)'
- predicted_power decimal(10, 4) NULL DEFAULT NULL COMMENT '预测功率(kw)'
- wnd_100m decimal(10, 0) NULL DEFAULT 0 COMMENT '风向角度（地面100米）[degree]'
- wns_100m decimal(10, 4) NULL DEFAULT 0.0000 COMMENT '风速（地面100米）[m/s]'
- wns_grd_100m int NULL DEFAULT 0 COMMENT '风力等级（地面100米）'

